/* BaseDeFiches - Copyright (c) 2010-2011 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package fr.exemole.bdfserver.servlets;


/**
 * Les répertoires commençant par ETC_ peuvent être uniquement en lecture pour Tomcat,
 * les répertoires commençant par VAR_ doivent être en lecture et écriture pour Tomcat
 *
 * @author Vincent Calame
 */
public interface BaseDeFichesConstants {

    public final static String ETCDIR_BALAYAGES = "etc.balayages";
    public final static String ETCDIR_TRANSFORMATION = "etc.transformation";
    public final static String ETCDIR_TABLEEXPORT = "etc.tableexport";
    public final static String ETCDIR_SCRIPTS = "etc.scripts";
    public final static String ETCDIR_EXTENSIONCONFIG = "etc.extensionconfig";
    public final static String ETCDIR_RESOURCES = "etc.resources";
    public final static String VARDIR_BDFSTORAGE = "var.bdfstorage";
    public final static String VARDIR_OUTPUT = "var.output";
    public final static String VARDIR_EXTENSIONDATA = "var.extensiondata";
    public final static String VARDIR_RESOURCES = "var.resources";
    public final static String VARDIR_CACHE = "var.cache";
    public final static String VARDIR_BACKUP = "var.backup";
    public final static String VARDIR_TRANSFORMATION = "var.transformation";
    public final static String VARDIR_TABLEEXPORT = "var.tableexport";
}
