/* @@@@@APPLICATION@@@@@
 *
 * Copyright (C) 2009 Vincent Calame - Exemole <vincent.calame@exemole.fr>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


package fr.exemole.bdfserver.servlets.resources;


/**
 *
 * @author Vincent Calame
 */
public interface JavascriptCatalog {

    public final static String BDF_JS = "_bdf.js";
    public final static String FICHESELECT_JS = "_ficheselect.js";
    public final static String APPELANT_PIOCHE_JS = "_appelant_pioche.js";
    public final static String AFFICHAGE_MENU_JS = "affichage_menu.js";
    public final static String CORPUS_INSERTFORM_JS = "corpus_insertform.js";
    public final static String THESAURUS_PAGE_JS = "thesaurus_page.js";
    public final static String THESAURUS_ADVANCED_JS = "thesaurus_advanced.js";
    public final static String THESAURUS_PONDERATION_JS = "thesaurus_ponderation.js";
    //public final static String SAISIE_MASSFORM_JS = "saisie_massform.js";
    public final static String SAISIE_MASSPIOCHE_JS = "saisie_masspioche.js";
    /* Cas particuliers non liés à JQuery pour le moment et présents uniquement dans des modèles (i.e. absent des classes Java)*/
    public final static String GEO_COMMON_JS = "geo_common.js";
    public final static String GEO_FICHES_JS = "geo_fiches.js";
    public final static String GEO_POSITIONNEMENT_JS = "geo_positionnement.js";
}

/*
public final static String _JS = "";
 */
