/* BasedefichesLib_API - Copyright (c) 2011 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.mapeadores.basedefiches;

import net.mapeadores.util.attr.AttributeKey;
import net.mapeadores.util.attr.NameSpaceString;


/**
 *
 * @author Vincent Calame
 */
public class BasedefichesAttributes {

    public final static NameSpaceString BDF_NAMESPACE = NameSpaceString.newInstance("bdf", true);
    public final static AttributeKey IMAGEBASEURL_KEY = AttributeKey.newInstance(BDF_NAMESPACE, "imagebaseurl");

    private BasedefichesAttributes() {
    }

    public static AttributeKey toAttributeKey(String nameSpace, String localKey) {
        if (nameSpace.equals("bdf")) {
            if (localKey.equals("imagebaseurl")) {
                return IMAGEBASEURL_KEY;
            }
        }
        return AttributeKey.newInstance(nameSpace, localKey);
    }

}
