/* BasedefichesLib_API - Copyright (c) 2008 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.mapeadores.basedefiches;

import net.mapeadores.util.text.Libelle;


/**
 *
 * @author Vincent Calame
 */
public interface MetadataEditor {

    public Metadata getMetadata();

    /**
     *
     *@throws IllegalArgumentException si Intitule n'appartient pas à l'objet Metadata.
     */
    public boolean putLibelle(Intitule intitule, Libelle libelle);

    public boolean removeLibelle(Intitule intitule, int langInteger);

    /**
     *
     *@throws IllegalArgumentException si name est nul ou vide.
     */
    public Intitule createIntitule(String name);

}
