/* BasedefichesLib_API - Copyright (c) 2010-2011 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.mapeadores.basedefiches.album;

import net.mapeadores.basedefiches.album.metadata.AlbumMetadataEditor;
import net.mapeadores.basedefiches.ExistingIdException;
import java.io.InputStream;
import java.io.IOException;


/**
 *
 * @author Vincent Calame
 */
public interface AlbumEditor {

    public Album getAlbum();

    public AlbumMetadataEditor getAlbumMetadataEditor();

    public Illustration createIllustration(int idalbum, short formatType) throws ExistingIdException;

    public void updateIllustration(Illustration illustration, InputStream inputStream, short formatType) throws IOException;

    public boolean removeIllustration(Illustration illustration);
}
