/* BasedefichesLib_API - Copyright (c) 2006-2011 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.mapeadores.basedefiches.association;

import net.mapeadores.basedefiches.SubsetItem;


/**
 *
 * @author Vincent Calame
 */
public interface Document extends SubsetItem {

    public Addenda getAddenda();

    public int getIdaddenda();

    public String getBasename();

    public int getVersionCount();

    public Version getVersion(int index);

    public Version getVersionByExtension(String extension);

}
