/* BasedefichesLib_API - Copyright (c) 2007 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.mapeadores.basedefiches.corpus.fiche;


/**
 *
 * @author Vincent Calame
 */
public abstract class IdentifiedFicheBlockList extends MutableFicheBlockList {

    private static final long serialVersionUID = 1L;
    private String className = "";
    private String htmlId = "";

    public IdentifiedFicheBlockList() {
    }

    public String getClassName() {
        return className;
    }

    public String getHtmlId() {
        return htmlId;
    }

    public void setClassName(String className) {
        if (className == null) {
            this.className = "";
        } else {
            this.className = className;
        }
    }

    public void setHtmlId(String id) {
        if (id == null) {
            this.htmlId = "";
        } else {
            this.htmlId = id;
        }
    }

}
