/* BasedefichesLib_API - Copyright (c) 2006-2011 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.mapeadores.basedefiches.metadata;

import net.mapeadores.basedefiches.Basedefiches;
import net.mapeadores.basedefiches.Metadata;
import net.mapeadores.util.attr.AttributeHolder;


/**
 *
 * @author Vincent Calame
 */
public interface BasedefichesMetadata extends Metadata, AttributeHolder {

    /**
     * ne peut pas être null et doit respecter la syntaxe des UUID : 00000000-0000-0000-0000-000000000000
     */
    public String getAuthorityUUID();

    /**
     * Ne peut pas être nul et doit être un nom technique (net.mapeadores.util.text.checkTechnicalName() ne doit pas retourne d'exception), le trait de soulignement étant autorisé.
     */
    public String getBasedefichesName();

    public Basedefiches getBasedefiches();

}
