/* BasedefichesLib_Explore - Copyright (c) 2009-2011 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.mapeadores.basedefiches.extraction.groups;

import java.util.Map;
import net.mapeadores.basedefiches.corpus.fiche.FicheItem;
import net.mapeadores.basedefiches.extraction.FicheExtractInfo;


/**
 *
 * @author Vincent Calame
 */
public interface FicheGroup {

    public String getName();

    public String getTagName();

    public FicheItem[] getMatchingFicheItemArray();

    public Map<String, String> getAttributesMap();

    public boolean isBottomGroup();

    /**
     * si isBottomGroup() = false, sinon retourne null
     */
    public FicheGroup[] getSubgroupArray();

    /**
     * si isBottomGroup() = true, sinon retourne null
     */
    public FicheExtractInfo[] getFicheExtractInfoArray();

}
