/* BasedefichesLib_Explore - Copyright (c) 2011 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.mapeadores.basedefiches.format.compute;

import java.util.List;
import net.mapeadores.basedefiches.include.IncludeSummaryMap;
import net.mapeadores.basedefiches.pointeurs.SubsetItemPointeur;
import net.mapeadores.util.localisation.LocalisationInfo;


/**
 *
 * @author Vincent Calame
 */
public interface BasedefichesFormatter {

    public boolean isLineSeparator();

    public short getCastType();

    public List<String> formatToList(SubsetItemPointeur subsetItemPointeur, IncludeSummaryMap includeSummaryMap, LocalisationInfo localisationInfo);

    public String formatToString(SubsetItemPointeur subsetItemPointeur, IncludeSummaryMap includeSummaryMap, LocalisationInfo localisationInfo);

}
