/* BasedefichesLib_Explore - Copyright (c) 2011 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.mapeadores.basedefiches.pointeurs;

import net.mapeadores.basedefiches.SubsetItem;
import net.mapeadores.basedefiches.SubsetKey;
import net.mapeadores.basedefiches.album.Album;
import net.mapeadores.basedefiches.croisement.DocumentCroisementList;
import net.mapeadores.basedefiches.croisement.IllustrationCroisementList;
import net.mapeadores.basedefiches.croisement.MotcleCroisementList;
import net.mapeadores.basedefiches.thesaurus.Thesaurus;


/**
 *
 * @author Vincent Calame
 */
public class IllustrationPointeur extends AbstractPointeur {

    public IllustrationPointeur(Album album) {
        super(album);
    }

    @Override
    public MotcleCroisementList getMotcleCroisementList(Thesaurus thesaurus) {
        throw new UnsupportedOperationException();
    }

    @Override
    public IllustrationCroisementList getIllustrationCroisementList(Album album) {
        throw new UnsupportedOperationException();
    }

    @Override
    public DocumentCroisementList getDocumentCroisementList() {
        throw new UnsupportedOperationException();
    }

    @Override
    public FichePointeur getSlaveFichePointeur(SubsetKey slaveCorpusKey) {
        throw new UnsupportedOperationException();
    }

    protected void initCurrentSubsetItem(SubsetItem subsetItem) {
    }

}
