/* BasedefichesLib_Explore - Copyright (c) 2011 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.mapeadores.basedefiches.selection.util;

import java.util.ArrayList;
import net.mapeadores.basedefiches.AddendaList;
import net.mapeadores.basedefiches.association.Addenda;


/**
 *
 * @author Vincent Calame
 */
public class MutableAddendaList implements AddendaList {

    protected ArrayList<Addenda> list = new ArrayList<Addenda>();

    public MutableAddendaList() {
    }

    public int getAddendaCount() {
        return list.size();
    }

    public Addenda getAddenda(int i) {
        return list.get(i);
    }

    public void add(Addenda addenda) {
        list.add(addenda);
    }

}
