/* BasedefichesLib_Explore - Copyright (c) 2009-2011 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.mapeadores.basedefiches.selection.util;

import java.util.ArrayList;
import net.mapeadores.basedefiches.SphereList;
import net.mapeadores.basedefiches.sphere.Sphere;


/**
 *
 * @author Vincent Calame
 */
public class MutableSphereList implements SphereList {

    protected ArrayList<Sphere> list = new ArrayList<Sphere>();

    public MutableSphereList() {
    }

    public int getSphereCount() {
        return list.size();
    }

    public Sphere getSphere(int i) {
        return list.get(i);
    }

    public void add(Sphere sphere) {
        list.add(sphere);
    }

}
