/* BasedefichesLib_Export - Copyright (c) 2011 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.mapeadores.basedefiches.scrutariexport;

import net.mapeadores.basedefiches.SubsetKey;
import net.mapeadores.basedefiches.format.BasedefichesFormatDef;
import net.mapeadores.basedefiches.format.FormatSourceKey;
import net.mapeadores.basedefiches.tableexport.ColDefList;
import net.mapeadores.util.text.AccoladePattern;


/**
 *
 * @author Vincent Calame
 */
public interface CorpusScrutariDef {

    public SubsetKey getCorpusSubsetKey();

    public FormatSourceKey getDateFormatSourceKey();

    public BasedefichesFormatDef getTitreFormatDef();

    public BasedefichesFormatDef getSoustitreFormatDef();

    public ColDefList getComplementColDefList();

    public AccoladePattern getHrefPattern();

    public boolean isMultiLang();

    /**
     * Instance de FieldKey (type information) ou de IncludeKey (thésaurus avec idalpha) ou
     */
    public Object getMultiLangKey();

}
