/* BasedefichesLib_Export - Copyright (c) 2010 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.mapeadores.basedefiches.tableexport;

import java.util.Date;
import java.util.List;
import net.mapeadores.util.primitives.Decimal;


/**
 *
 * @author Vincent Calame
 */
public interface ColDefTableWriter {

    public void startRow();

    public void addNullCell(ColDef colDef);

    public void addIntegerCell(ColDef colDef, Long lg);

    public void addDecimalCell(ColDef colDef, Decimal decimal);

    public void addStringCell(ColDef colDef, String s);

    public void addDateCell(ColDef colDef, Date date);

    public void addLineCell(ColDef colDef, List<String> list);

    public void endRow();

}
