/* BasedefichesLib_Export - Copyright (c) 2007-2010 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.mapeadores.basedefiches.tableexport.thesaurus;

import net.mapeadores.basedefiches.thesaurus.Motcle;
import net.mapeadores.basedefiches.thesaurus.metadata.ThesaurusFieldKey;


/**
 *
 * @author Vincent Calame
 */
public interface ThesaurusTableWriter {

    public void startRow(Motcle motcle);

    /**
     * null s'il n'y a pas de parent
     */
    public void addIdthsCell(ThesaurusFieldKey thesaurusFieldKey, Integer itg);

    /**
     *thesaurusFieldKey a pour valeur IDALPHA ou PARENT_IDALPHA, s peut être nul dans le cas de PARENT_IDALPHA
     */
    public void addIdalphaCell(ThesaurusFieldKey thesaurusFieldKey, String s);

    public void addLibCell(ThesaurusFieldKey thesaurusFieldKey, String s);

    /**
     * Correspond forcément au champ BABELIENLANG
     */
    public void addBabelienLangCell(int langInteger);

    public void endRow();

}
