/* BasedefichesLib_Impl - Copyright (c) 2010-2011 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.mapeadores.basedefiches.impl;

import java.io.InputStream;
import net.mapeadores.basedefiches.SubsetKey;
import net.mapeadores.basedefiches.album.Illustration;
import net.mapeadores.util.awt.ResizeInfo;


/**
 *
 * @author Vincent Calame
 */
public interface AlbumDataSource {

    public InputStream getInputStream(Illustration illustration, String dimName, ResizeInfo resizeInfo);

    public void update(Illustration illustration, InputStream inputStream);

    public void clearDimCache(SubsetKey albumSubsetKey, String dimName);

    public boolean deleteIllustration(SubsetKey albumSubsetKey, int idalbum);

}
