/* BasedefichesLib_Impl - Copyright (c) 2010-2011 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.mapeadores.basedefiches.impl;

import net.mapeadores.basedefiches.Intitule;
import net.mapeadores.basedefiches.Metadata;
import net.mapeadores.util.text.DefaultLibelleHolder;
import net.mapeadores.util.text.Libelle;


/**
 *
 * @author Vincent Calame
 */
class BdfimplIntitule extends DefaultLibelleHolder implements Intitule {

    private String name;
    private Metadata metadata;

    public BdfimplIntitule(String name, Metadata metadata, String defaultLib) {
        super(defaultLib);
        this.name = name;
        this.metadata = metadata;
    }

    public String getName() {
        return name;
    }

    public Metadata getMetadata() {
        return metadata;
    }

    boolean putLibelle(Libelle libelle) {
        return innerPutLibelle(libelle);
    }

    boolean removeLibelle(int langInteger) {
        return innerRemoveLibelle(langInteger);
    }

}
