/* BasedefichesLib_Impl - Copyright (c) 2006-2010 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.mapeadores.basedefiches.impl;

import java.io.File;
import java.io.IOException;
import java.io.InputStream;


/**
 *
 * @author Vincent Calame
 */
public interface DocumentDataSource {

    public InputStream getInputStream(int idsubset, String extension);

    public boolean deleteVersion(int idsubset, String extension);

    public boolean deleteDocument(int idsubset);

    /**
     *
     *@throws IllegalArgumentException si l'extension est incorrecte.
     */
    public long saveVersion(int idsubset, String extension, InputStream inputStream);

    public boolean linkTo(int idsubset, String extension, File destination, boolean symbolicLink) throws IOException;

}
