/* BasedefichesLib_Tools - Copyright (c) 2011 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.mapeadores.basedefiches.tools.duplication;


/**
 *
 * @author Vincent Calame
 */
public interface DuplicationLog {

    public int getErrorCount();

    public DuplicationError getError(int i);

    public int getResultCount();

    public DuplicationResult getResult(int i);


    public interface DuplicationError {

        public String getErrorKey();

        public int getIdcorpusCount();

        public int getIdcorpus(int i);

    }


    public interface DuplicationResult {

        public int getOriginIdcorpus();

        public int getDestinationIdcorpus();

    }

}
