/* BdfServer - Copyright (c) 2009-2011 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package fr.exemole.bdfserver.balayages;

import javax.xml.transform.Transformer;


/**
 *
 * @author Vincent Calame
 */
public interface TransformManager {

    public void setBalayageRoot(String balayageRoot);

    public void setCurrentFileName(String fileName);

    public void setCurrentPath(String path);

    public void setCurrentLang(String lang);

    public Transformer getTransformer(Object extractionObject);

}
