/* BdfServer - Copyright (c) 2008-2010 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package fr.exemole.bdfserver.managers.configuration;


/**
 *
 * @author Vincent Calame
 */
public class ConfigurationPathException extends Exception {

    private boolean malformedPublicURL;
    private boolean systemDirectoryNotFound;

    public ConfigurationPathException(boolean malformedPublicURL, boolean systemDirectoryNotFound) {
        this.malformedPublicURL = malformedPublicURL;
        this.systemDirectoryNotFound = systemDirectoryNotFound;
    }

    public boolean isMalformedPublicURL() {
        return malformedPublicURL;
    }

    public boolean isSystemDirectoryNotFound() {
        return systemDirectoryNotFound;
    }

}
