/* BdfServer - Copyright (c) 2009-2011 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package fr.exemole.bdfserver.request.formimp;

import fr.exemole.bdfserver.request.form.HiddenFieldElement;
import net.mapeadores.basedefiches.corpus.metadata.CorpusField;


/**
 *
 * @author Vincent Calame
 */
public class DefaultHiddenFieldElement extends AbstractCorpusFieldElement implements HiddenFieldElement {

    private String value;

    public DefaultHiddenFieldElement(CorpusField corpusField) {
        super(corpusField);
    }

    public String getValue() {
        return value;
    }

    public void setValue(String value) {
        this.value = value;
    }

}
