/* BdfServer - Copyright (c) 2009-2011 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package fr.exemole.bdfserver.request.formimp;

import fr.exemole.bdfserver.request.form.MontantSubfieldsElement;
import net.mapeadores.basedefiches.corpus.metadata.CorpusField;


/**
 *
 * @author Vincent Calame
 */
public class DefaultMontantSubfieldsElement extends AbstractCorpusFieldElement implements MontantSubfieldsElement {

    private String num = "";
    private String cur = "XXX";
    private boolean unique;
    private int[] currencyArray;

    public DefaultMontantSubfieldsElement(CorpusField corpusField) {
        super(corpusField);
    }

    public String getNum() {
        return num;
    }

    public void setNum(String num) {
        this.num = num;
    }

    public String getCur() {
        return cur;
    }

    public void setCur(String cur) {
        this.cur = cur;
    }

    public boolean isUnique() {
        return unique;
    }

    public void setUnique(boolean unique) {
        this.unique = unique;
    }

    public int[] getCurrencyArray() {
        return currencyArray;
    }

    public void setCurrencyArray(int[] currencyArray) {
        this.currencyArray = currencyArray;
    }

}
