/* BdfServer - Copyright (c) 2009-2011 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package fr.exemole.bdfserver.request.formimp;

import fr.exemole.bdfserver.request.form.NotEditableIndexationElement;
import java.util.Set;
import net.mapeadores.basedefiches.include.IncludeKey;
import net.mapeadores.basedefiches.thesaurus.Motcle;


/**
 *
 * @author Vincent Calame
 */
public class DefaultNotEditableIndexationElement extends AbstractIncludeElement implements NotEditableIndexationElement {

    private int workingLangInteger;
    private String idalphaSeparator;
    private Set<Motcle> selectedMotcleSet;

    public DefaultNotEditableIndexationElement(IncludeKey includeKey) {
        super(includeKey);
    }

    public int getWorkingLangInteger() {
        return workingLangInteger;
    }

    public void setWorkingLangInteger(int workingLangInteger) {
        this.workingLangInteger = workingLangInteger;
    }

    public String getIdalphaSeparator() {
        return idalphaSeparator;
    }

    public void setIdalphaSeparator(String idalphaSeparator) {
        this.idalphaSeparator = idalphaSeparator;
    }

    public Set<Motcle> getSelectedMotcleSet() {
        return selectedMotcleSet;
    }

    public void setSelectedMotcleSet(Set<Motcle> selectedMotcleSet) {
        this.selectedMotcleSet = selectedMotcleSet;
    }

}
