/* BdfServer - Copyright (c) 2009-2011 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package fr.exemole.bdfserver.request.formimp;

import fr.exemole.bdfserver.request.form.TextFieldElement;
import net.mapeadores.basedefiches.corpus.metadata.CorpusField;


/**
 *
 * @author Vincent Calame
 */
public class DefaultTextFieldElement extends AbstractCorpusFieldElement implements TextFieldElement {

    private String formattedText;
    private int rows;

    public DefaultTextFieldElement(CorpusField corpusField) {
        super(corpusField);
    }

    public String getFormattedText() {
        return formattedText;
    }

    public void setFormattedText(String formattedText) {
        this.formattedText = formattedText;
    }

    public int getRows() {
        return rows;
    }

    public void setRows(int rows) {
        this.rows = rows;
    }

}
