/* BdfServer - Copyright (c) 2009-2011 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package fr.exemole.bdfserver.request.formimp;

import fr.exemole.bdfserver.request.form.TextThesaurusIncludeElement;
import net.mapeadores.basedefiches.include.IncludeKey;


/**
 *
 * @author Vincent Calame
 */
public class DefaultTextThesaurusIncludeElement extends AbstractIncludeElement implements TextThesaurusIncludeElement {

    private String value;
    private boolean redimAllowed;
    private int rows;
    private short widthType;

    public DefaultTextThesaurusIncludeElement(IncludeKey includeKey) {
        super(includeKey);
    }

    public String getValue() {
        return value;
    }

    public void setValue(String value) {
        this.value = value;
    }

    public boolean isRedimAllowed() {
        return redimAllowed;
    }

    public void setRedimAllowed(boolean redimAllowed) {
        this.redimAllowed = redimAllowed;
    }

    public int getRows() {
        return rows;
    }

    public void setRows(int rows) {
        this.rows = rows;
    }

    public short getWidthType() {
        return widthType;
    }

    public void setWidthType(short widthType) {
        this.widthType = widthType;
    }

}
