/* BdfServer - Copyright (c) 2009-2011 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package fr.exemole.bdfserver.request.formimp;

import fr.exemole.bdfserver.request.form.RattachementToMasterElement;
import net.mapeadores.basedefiches.Subset;
import net.mapeadores.basedefiches.SubsetItem;
import net.mapeadores.basedefiches.include.IncludeKey;


/**
 *
 * @author Vincent Calame
 */
public class DefautRattachementToMasterElement extends AbstractIncludeElement implements RattachementToMasterElement {

    private Subset masterSubset;
    private SubsetItem masterSubsetItem;

    public DefautRattachementToMasterElement(IncludeKey includeKey) {
        super(includeKey);
    }

    public Subset getMasterSubset() {
        return masterSubset;
    }

    public void setMasterSubset(Subset masterSubset) {
        this.masterSubset = masterSubset;
    }

    public SubsetItem getMasterSubsetItem() {
        return masterSubsetItem;
    }

    public void setMasterSubsetItem(SubsetItem masterSubsetItem) {
        this.masterSubsetItem = masterSubsetItem;
    }

}
