/* BdfServer - Copyright (c) 2008-2010 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package fr.exemole.bdfserver.roles;


/**
 *
 * @author Vincent Calame
 */
public interface RoleMap {

    public static String DEFAULT_ROLE = "_default";

    public Role getRole(String roleName);

    /**
     * Retourne null si le role existe déjà.
     *
     *@throw IllegalArgumentException
     */
    public Role newRole(String roleName);

    public boolean removeRole(String roleName);

    public void checkRoleChange(String roleName);

    public Role[] getRoleArray(boolean defaultRoleIncluded);

}
