/* BdfServer
 *
 * Copyright (C) 2008-2009 Vincent Calame - Exemole <vincent.calame@exemole.fr>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


package fr.exemole.bdfserver.ui.options;


/**
 *
 * @author Vincent Calame
 */
public interface InputOption {

    public final static short WIDTH_SMALL = 1;
    public final static short WIDTH_MEDIUM = 2;
    public final static short WIDTH_LARGE = 3;
    public final static short INPUT_TEXT = 10;
    public final static short INPUT_SELECT = 11;
    public final static short INPUT_CHECK = 12;
    public final static short INPUT_RADIO = 13;
    public final static short INPUT_NOTEDITABLE = 14;
    public final static short INPUT_HIDDEN = 15;

    public short getInputType();

    public short getWidthType();

    public int getRows();

}
