/* BdfServer_DirectoryStorage - Copyright (c) 2010-2011 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package fr.exemole.bdfserver.storage.directory.bdf.utils;

import net.mapeadores.basedefiches.xml.AddendaXmlErrorHandler;
import net.mapeadores.util.logging.MutableProcessLog;
import net.mapeadores.util.logging.ProcessLogItem;


/**
 *
 * @author Vincent Calame
 */
public class LogAddendaXmlErrorHandler extends LogBasedefichesXmlErrorHandler implements AddendaXmlErrorHandler {

    public LogAddendaXmlErrorHandler(MutableProcessLog mutableResultLog) {
        super(mutableResultLog);
    }

    public void wrongIdaddendaError(String idaddenda) {
        ProcessLogItem rsl = newLogItemInstance();
        rsl.setCategory("ERROR");
        rsl.setKey("wrongIdaddenda");
        rsl.setObject(idaddenda);
    }

    public void wrongBasenameError(String basename) {
        ProcessLogItem rsl = newLogItemInstance();
        rsl.setCategory("ERROR");
        rsl.setKey("wrongBasename");
        rsl.setObject(basename);
    }

    public void basenameDoublonError(String basename) {
        ProcessLogItem rsl = newLogItemInstance();
        rsl.setCategory("ERROR");
        rsl.setKey("basenameDoublon");
        rsl.setObject(basename);
    }

}
