/* BdfServer_DirectoryStorage - Copyright (c) 2006-2011 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package fr.exemole.bdfserver.storage.directory.old;

import java.io.Serializable;


/**
 *
 * @author Vincent Calame
 */
public final class PasswordManagerBean implements Serializable, ManagerBean {

    private String confirmPassword = "test";
    private PasswordRedacteurBean[] passwordRedacteurBeanArray;

    public PasswordManagerBean() {
    }

    public PasswordRedacteurBean[] getPasswordRedacteurBeanArray() {
        return passwordRedacteurBeanArray;
    }

    public void setPasswordRedacteurBeanArray(PasswordRedacteurBean[] passwordRedacteurBeanArray) {
        this.passwordRedacteurBeanArray = passwordRedacteurBeanArray;
    }

    public String getConfirmPassword() {
        return confirmPassword;
    }

    /**
     *
     *@throws IllegalArgumentException si confirmPassword est nul.
     */
    public void setConfirmPassword(String confirmPassword) {
        if (confirmPassword == null) {
            throw new IllegalArgumentException("confirmPassword is null");
        }
        this.confirmPassword = confirmPassword;
    }

}
