/* BdfServer_DirectoryStorage - Copyright (c) 2006-2011 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package fr.exemole.bdfserver.storage.directory.old;

import java.io.Serializable;


/**
 *
 * @author Vincent Calame
 */
public class RchfExportBean implements Serializable {

    private String name = "";
    private String baseName = null;
    private String baseIcon = null;
    private FicheSelectOptionsBean ficheSelectOptionsBean;
    private CorpusRchfInfoBean[] corpusRchfInfoBeanArray;
    private ThesaurusRchfInfoBean[] thesaurusRchfInfoBeanArray;
    private String ficheGlobalPattern;
    private String motcleGlobalPattern;
    private int[] langUiArray;

    public RchfExportBean() {
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getBaseName() {
        return baseName;
    }

    public void setBaseName(String baseName) {
        this.baseName = baseName;
    }

    public String getBaseIcon() {
        return baseIcon;
    }

    public void setBaseIcon(String baseIcon) {
        this.baseIcon = baseIcon;
    }

    public void setFicheSelectOptionsBean(FicheSelectOptionsBean ficheSelectOptionsBean) {
        this.ficheSelectOptionsBean = ficheSelectOptionsBean;
    }

    public FicheSelectOptionsBean getFicheSelectOptionsBean() {
        return ficheSelectOptionsBean;
    }

    public CorpusRchfInfoBean[] getCorpusRchfInfoBeanArray() {
        return corpusRchfInfoBeanArray;
    }

    public void setCorpusRchfInfoBeanArray(CorpusRchfInfoBean[] corpusRchfInfoBeanArray) {
        this.corpusRchfInfoBeanArray = corpusRchfInfoBeanArray;
    }

    public ThesaurusRchfInfoBean[] getThesaurusRchfInfoBeanArray() {
        return thesaurusRchfInfoBeanArray;
    }

    public void setThesaurusRchfInfoBeanArray(ThesaurusRchfInfoBean[] thesaurusRchfInfoBeanArray) {
        this.thesaurusRchfInfoBeanArray = thesaurusRchfInfoBeanArray;
    }

    public String getFicheGlobalPattern() {
        return ficheGlobalPattern;
    }

    public void setFicheGlobalPattern(String ficheGlobalPattern) {
        this.ficheGlobalPattern = ficheGlobalPattern;
    }

    public String getMotcleGlobalPattern() {
        return motcleGlobalPattern;
    }

    public void setMotcleGlobalPattern(String motcleGlobalPattern) {
        this.motcleGlobalPattern = motcleGlobalPattern;
    }

    public int[] getLangUiArray() {
        return langUiArray;
    }

    public void setLangUiArray(int[] langUiArray) {
        this.langUiArray = langUiArray;
    }

}
