/* BdfServer_DirectoryStorage - Copyright (c) 2006-2011 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package fr.exemole.bdfserver.storage.directory.old;

import java.io.Serializable;


/**
 *
 * @author Vincent Calame
 */
public class ThesaurusPolicyBean implements Serializable {

    private String thesaurusSubId;
    private String transferThesaurusSubId;
    private String[] verifThesaurusSubIdArray;
    private short ajoutPolicy = 0;

    public ThesaurusPolicyBean() {
    }

    public String getThesaurusSubId() {
        return thesaurusSubId;
    }

    /**
     *
     *@throws IllegalArgumentException si thesaurusSubId est vide (il peut être nul).
     */
    public void setThesaurusSubId(String thesaurusSubId) {
        if ((thesaurusSubId != null) && (thesaurusSubId.length() == 0)) {
            throw new IllegalArgumentException("thesaurusSubId is empty");
        }
        this.thesaurusSubId = thesaurusSubId;
    }

    public short getAjoutPolicy() {
        return ajoutPolicy;
    }

    public void setAjoutPolicy(short ajoutPolicy) {
        this.ajoutPolicy = ajoutPolicy;
    }

    public String getTransferThesaurusSubId() {
        return transferThesaurusSubId;
    }

    public void setTransferThesaurusSubId(String transferThesaurusSubId) {
        this.transferThesaurusSubId = transferThesaurusSubId;
    }

    public String[] getVerifThesaurusSubIdArray() {
        return verifThesaurusSubIdArray;
    }

    public void setVerifThesaurusSubIdArray(String[] verifThesaurusSubIdArray) {
        this.verifThesaurusSubIdArray = verifThesaurusSubIdArray;
    }

}
