/* BdfServer_DirectoryStorage - Copyright (c) 2006-2011 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package fr.exemole.bdfserver.storage.directory.old;

import java.io.Serializable;


/**
 *
 * @author Vincent Calame
 */
public final class UiManagerBean implements Serializable, ManagerBean {

    private CorpusUiBean[] corpusUiBeanArray;
    private GroupTemplateBean[] groupTemplateBeanArray;
    private String[] corpusSubsetKeyTreeTokens;
    private String[] thesaurusSubsetKeyTreeTokens;
    private String[] sphereSubsetKeyTreeTokens;

    public UiManagerBean() {
    }

    public CorpusUiBean[] getCorpusUiBeanArray() {
        return corpusUiBeanArray;
    }

    public void setCorpusUiBeanArray(CorpusUiBean[] corpusUiBeanArray) {
        this.corpusUiBeanArray = corpusUiBeanArray;
    }

    public GroupTemplateBean[] getGroupTemplateBeanArray() {
        return groupTemplateBeanArray;
    }

    public void setGroupTemplateBeanArray(GroupTemplateBean[] groupTemplateBeanArray) {
        this.groupTemplateBeanArray = groupTemplateBeanArray;
    }

    public String[] getCorpusSubsetKeyTreeTokens() {
        return corpusSubsetKeyTreeTokens;
    }

    public void setCorpusSubsetKeyTreeTokens(String[] corpusSubsetKeyTreeTokens) {
        this.corpusSubsetKeyTreeTokens = corpusSubsetKeyTreeTokens;
    }

    public String[] getSphereSubsetKeyTreeTokens() {
        return sphereSubsetKeyTreeTokens;
    }

    public void setSphereSubsetKeyTreeTokens(String[] sphereSubsetKeyTreeTokens) {
        this.sphereSubsetKeyTreeTokens = sphereSubsetKeyTreeTokens;
    }

    public String[] getThesaurusSubsetKeyTreeTokens() {
        return thesaurusSubsetKeyTreeTokens;
    }

    public void setThesaurusSubsetKeyTreeTokens(String[] thesaurusSubsetKeyTreeTokens) {
        this.thesaurusSubsetKeyTreeTokens = thesaurusSubsetKeyTreeTokens;
    }

}
