/* BdfServer_DirectoryStorage - Copyright (c) 2009-2010 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package fr.exemole.bdfserver.storage.directory.output;

import fr.exemole.bdfserver.storage.OutputStorage;
import java.io.File;


/**
 *
 * @author Vincent Calame
 */
public class DirectoryOutputStorage implements OutputStorage {

    private File outputDirectory;

    public DirectoryOutputStorage(File outputDirectory) {
        this.outputDirectory = outputDirectory;
    }

    public File getOutputFile(String filePath) {
        if (filePath.length() == 0) return outputDirectory;
        File file = new File(outputDirectory, filePath);
        return file;
    }

}
