function ILL_Change () {

}

ILL_Change.CropTool = function () {
}

ILL_Change.ResizeTool = function () {
}

ILL_Change.ReplaceTool = function () {
}

ILL_Change.PreviousTool = function () {
}

ILL_Change.NextTool = function () {
}

ILL_Change.ResetTool = function () {
}

$(function () {
    ILL_Change.CropTool.imgAreaSelect = $("#ID_ILL_IMAGE").imgAreaSelect({
        disable: true,
        instance: true,
        handles: true,
        onSelectChange: ILL_Change.CropTool.selectChange,
        onSelectEnd: ILL_Change.CropTool.selectEnd
    });
    $("#ID_ILL_BUTTON_OK").click(ILL_Change.validation);
    if (ILL_Change.changeType != "create") {
        $("#ID_ILL_BUTTON_OK").attr("disabled", true);
    }
    $("#ID_ILL_BUTTON_CANCEL").click(ILL_Core.annulation);
    $("#ID_ILL_CROP_INFO form").ajaxForm({
        dataType: 'json',
        success: ILL_Change.CropTool.success
    });
    $("#ID_ILL_RESIZE_INFO form").ajaxForm({
        dataType:  'json',
        beforeSubmit: ILL_Change.ResizeTool.beforeSubmit,
        success:   ILL_Change.ResizeTool.success
    });
    $("#ID_ILL_CROP_ICON").addClass("ill_ActionDisponible").click(ILL_Change.CropTool.click);
    $("#ID_ILL_RESIZE_ICON").addClass("ill_ActionDisponible").click(ILL_Change.ResizeTool.click);
    $("#ID_ILL_REPLACE_ICON").addClass("ill_ActionDisponible").click(ILL_Change.ReplaceTool.click);
    $("#ID_ILL_PREVIOUS_ICON").click(ILL_Change.PreviousTool.click);
    $("#ID_ILL_NEXT_ICON").click(ILL_Change.NextTool.click);
    $("#ID_ILL_RESET_ICON").addClass("ill_ActionDisponible").click(ILL_Change.ResetTool.click);
    $("#ID_ILL_WIDTHINPUT").bind("input", function (e) {ILL_Change.ResizeTool.widthChange();});
    $("#ID_ILL_HEIGHTINPUT").bind("input", function (e) {ILL_Change.ResizeTool.heightChange();});
    $("#ID_ILL_CROP_SUBMIT").attr("disabled", true);
    $("#ID_ILL_RESIZE_SUBMIT").attr("disabled", true);
});

ILL_Change.disableCurrentTool = function () {
    $(".ill_ActionActive").removeClass("ill_ActionActive");
    $(".ill_InfoActive").removeClass("ill_InfoActive");
    $("#ID_ILL_CROP_SUBMIT").attr("disabled", true);
    $("#ID_ILL_RESIZE_SUBMIT").attr("disabled", true);
    $("#ID_ILL_CROPAREA").html("");
    ILL_Change.CropTool.imgAreaSelect.cancelSelection();
    ILL_Change.CropTool.imgAreaSelect.setOptions({disable: true});
}

ILL_Change.validation = function () {
    window.opener.FF_AlbumInclude.afterChange(ILL_Change.changeType, ILL_Change.appelant, ILL_Change.tmpFileName);
    window.close();
}


ILL_Change.newImage = function (newTmpFileName) {
    ILL_Change.disableCurrentTool();
    ILL_Change.PreviousTool.array.push(ILL_Change.tmpFileName);
    ILL_Change.NextTool.array = [];
    ILL_Change.renameTmpFile(newTmpFileName);
    ILL_Change.updateStates();
}

ILL_Change.renameTmpFile = function (newTmpFileName) {
    ILL_Change.tmpFileName = newTmpFileName;
    $("input[name='tmpfile']").val(newTmpFileName);
    var img = $("#ID_ILL_IMAGE");
    ILL_Change.CropTool.imgAreaSelect.cancelSelection();
    if (newTmpFileName == "_ORIGINAL") {
        img.attr("src", "illustrations/" + ILL_Change.originalFileName);
    } else {
        img.attr("src", "prv/tmp/" + newTmpFileName);
    }
}

ILL_Change.updateStates = function () {
    var nextLength = ILL_Change.NextTool.array.length;
    if (nextLength == 0) {
        $("#ID_ILL_NEXT_ICON").removeClass("ill_ActionDisponible");
    } else {
        $("#ID_ILL_NEXT_ICON").addClass("ill_ActionDisponible");
    }
    var previousLength = ILL_Change.PreviousTool.array.length;
    if (previousLength == 0) {
        $("#ID_ILL_PREVIOUS_ICON").removeClass("ill_ActionDisponible");
        if (ILL_Change.changeType != "create") {
            $("#ID_ILL_BUTTON_OK").attr("disabled", true);
        }
    } else {
        $("#ID_ILL_PREVIOUS_ICON").addClass("ill_ActionDisponible");
        if (ILL_Change.changeType != "create") {
            $("#ID_ILL_BUTTON_OK").attr("disabled", false);
        }
    }
    if (ILL_Change.tmpFileName == "_ORIGINAL") {
        $("#ID_ILL_RESET_ICON").removeClass("ill_ActionDisponible");
    } else {
        $("#ID_ILL_RESET_ICON").addClass("ill_ActionDisponible");
    }
}

ILL_Change.is_int = function (value){
   for (i = 0 ; i < value.length ; i++) {
      if ((value.charAt(i) < '0') || (value.charAt(i) > '9')) return false
    }
   return true;
}


/****** CropTool ***************************************************************/

ILL_Change.CropTool.imgAreaSelect = null;

ILL_Change.CropTool.click = function () {
    ILL_Change.disableCurrentTool();
    $("#ID_ILL_CROP_ICON").addClass("ill_ActionActive");
    ILL_Change.CropTool.imgAreaSelect.setOptions({enable: true});
    $("#ID_ILL_CROP_INFO").addClass("ill_InfoActive");
}

ILL_Change.CropTool.selectChange = function (image, rectangle) {
    $("#ID_ILL_CROP_SUBMIT").attr("disabled", false);
    $("#ID_ILL_CROPAREA").html(rectangle.x1 + "," + rectangle.y1 + "," + rectangle.width + "," + rectangle.height);
}

ILL_Change.CropTool.selectEnd = function (image, rectangle) {
    var form = $("#ID_ILL_CROP_INFO form");
    form.find("input[name='x']").val(rectangle.x1);
    form.find("input[name='y']").val(rectangle.y1);
    form.find("input[name='width']").val(rectangle.width);
    form.find("input[name='height']").val(rectangle.height);
}

ILL_Change.CropTool.success = function (data) {
    var commandMessage = data.commandMessage;
    if (commandMessage.type == "done") {
        var result = data.result;
        var newTmpFileName = result.tmpFileName;
        ILL_Change.newImage(newTmpFileName);
    } else {
        alert("[" + commandMessage.key + "] - " + commandMessage.text);
    }
}


/****** ResizeTool ***************************************************************/

ILL_Change.ResizeTool.ratio = 0;

ILL_Change.ResizeTool.click = function () {
    ILL_Change.disableCurrentTool();
    $("#ID_ILL_RESIZE_ICON").addClass("ill_ActionActive");
    var img = $("#ID_ILL_IMAGE");
    var width = img.width();
    var height = img.height();
    ILL_Change.ResizeTool.ratio = width / height;
    $("#ID_ILL_WIDTHINPUT").val(width);
    $("#ID_ILL_HEIGHTINPUT").val(height);
    $("#ID_ILL_RESIZE_INFO").addClass("ill_InfoActive");
}

ILL_Change.ResizeTool.success = function (data) {
    var commandMessage = data.commandMessage;
    if (commandMessage.type == "done") {
        var result = data.result;
        var newTmpFileName = result.tmpFileName;
        ILL_Change.newImage(newTmpFileName);
    } else {
        alert("[" + commandMessage.key + "] - " + commandMessage.text);
    }
}

ILL_Change.ResizeTool.beforeSubmit = function () {
    return ILL_Change.ResizeTool.resizeTest();
}

ILL_Change.ResizeTool.widthChange = function () {
    if (!ILL_Change.ResizeTool.resizeTest()) {
        return;
    }
    $("#ID_ILL_RESIZE_SUBMIT").attr("disabled", false);
    var width = $("#ID_ILL_WIDTHINPUT").val();
    $("#ID_ILL_HEIGHTINPUT").val(Math.round(width / ILL_Change.ResizeTool.ratio));
}

ILL_Change.ResizeTool.heightChange = function () {
    if (!ILL_Change.ResizeTool.resizeTest()) {
        return;
    }
    $("#ID_ILL_RESIZE_SUBMIT").attr("disabled", false);
    var height = $("#ID_ILL_HEIGHTINPUT").val();
    $("#ID_ILL_WIDTHINPUT").val(Math.round(height * ILL_Change.ResizeTool.ratio));
}

ILL_Change.ResizeTool.resizeTest = function () {
    var widthEl = $("#ID_ILL_WIDTHINPUT");
    var heightEl = $("#ID_ILL_HEIGHTINPUT");
    var ok = true;
    var width = widthEl.val();
    var height = heightEl.val();
    if (ILL_Change.is_int(width)) {
        widthEl.removeClass("ill_NotInteger");
    } else {
        widthEl.addClass("ill_NotInteger");
        ok = false;
    }
    if (ILL_Change.is_int(height)) {
        heightEl.removeClass("ill_NotInteger");
    } else {
        heightEl.addClass("ill_NotInteger");
        ok = false;
    }
    return ok;
}


/****** ReplaceTool ***************************************************************/

ILL_Change.ReplaceTool.click = function () {
    ILL_Change.disableCurrentTool();
    $("#ID_ILL_REPLACE_ICON").addClass("ill_ActionActive");
    var appelant = "ReplaceTool";
    var url = "Album?page=illustration-upload-replace&album=" + ILL_Change.album + "&appelant=" + appelant;
    var w = window.open(url,"illustration_" + appelant,"resizable=yes,width=500,height=200,scrollbars");
    w.focus();
}

ILL_Change.ReplaceTool.success = function (appelant, newTmpFileName) {
    ILL_Change.newImage(newTmpFileName);
}


/****** PreviousTool ***************************************************************/

ILL_Change.PreviousTool.array = [];

ILL_Change.PreviousTool.click = function () {
    if (ILL_Change.PreviousTool.array.length == 0) {
        return;
    }
    ILL_Change.disableCurrentTool();
    var previousTmpFileName = ILL_Change.PreviousTool.array.pop();
    ILL_Change.NextTool.array.push(ILL_Change.tmpFileName);
    ILL_Change.renameTmpFile(previousTmpFileName);
    ILL_Change.updateStates();
}


/****** NextTool ***************************************************************/

ILL_Change.NextTool.array = [];

ILL_Change.NextTool.click = function () {
    if (ILL_Change.NextTool.array.length == 0) {
        return;
    }
    ILL_Change.disableCurrentTool();
    var nextTmpFileName = ILL_Change.NextTool.array.pop();
    ILL_Change.PreviousTool.array.push(ILL_Change.tmpFileName);
    ILL_Change.renameTmpFile(nextTmpFileName);
    ILL_Change.updateStates();
}


/****** ResetTool ***************************************************************/

ILL_Change.ResetTool.click = function () {
    if (ILL_Change.tmpFileName == "_ORIGINAL") {
        return;
    }
    ILL_Change.newImage("_ORIGINAL");
}