function SLC_Pioche () {

}

SLC_Pioche.liste = new Object();

SLC_Pioche.add = function (appelantId, toolId) {
    SLC_Pioche.liste[appelantId] = toolId;
}

SLC_Pioche.init = function () {
    for(var appelantId in SLC_Pioche.liste) {
        SLC_Pioche.initPioche(appelantId);
    }
}

SLC_Pioche.initPioche = function (appelantId) {
    var toolId = SLC_Pioche.liste[appelantId];
    var page = SLC_Core.getPiochePage(appelantId);
    var iconName = SLC_Utils.getDefaultIconName(page);
    var titleKey = SLC_Core.getTitleKey(appelantId);
    var jqel = $("#" + toolId);
    var appendText = SLC_Utils.getIconTool32x16(iconName,titleKey,"SLC_Pioche.pioche", "'" + appelantId + "'")
    jqel.append(appendText);
}


SLC_Pioche.pioche = function (appelantId) {
    var limite = SLC_Core.getLimite(appelantId);
    if (limite == null) {
        limite = -1;
    }
    var subsets = SLC_Core.getSubsets(appelantId);
    if (subsets == null) {
        subsets = "";
    }
    var page = SLC_Core.getPiochePage(appelantId);
    var url = "Get?type=pioche&page=" + page + "&appelant=" + appelantId + "&limite=" + limite + "&subsets=" + subsets;
    var param = SLC_Core.getParam(appelantId);
    if (param != null) {
        url = url + "&param=" + param;
    }
    SLC_Utils.openDialog(url,"pioche_" + appelantId,430,510);
}

$(function () {
    SLC_Pioche.init();
});