/* UtilLib - Copyright (c) 2009-2011 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.mapeadores.util.attr;


/**
 *
 * @author Vincent Calame
 */
public interface Attribute {

    /**
     * N'est jamais nul
     */
    public AttributeKey getAttributeKey();

    /**
     * Doit toujours est supérieur à 0 (il doit y avoir au moins une valeur)
     */
    public int getValueCount();

    /**
     * N'est jamais nul, ni de longueur nulle et ne commence ni finit par des espaces blancs
     * (getValue().trim() = getValue())
     */
    public String getValue(int i);

}
