/* UtilLib - Copyright (c) 2011 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.mapeadores.util.conditions;


/**
 *
 * @author Vincent Calame
 */
public class DefaultTextTest implements TextTest {

    private short testType;
    private String text;

    public DefaultTextTest(short testType, String text) {
        this.testType = testType;
        this.text = text;
    }

    public DefaultTextTest(TextTest textTest) {
        this.testType = textTest.getTestType();
        this.text = textTest.getText();
    }

    public short getTestType() {
        return testType;
    }

    public String getText() {
        return text;
    }

    protected void innerSetTestType(short testType) {
        this.testType = testType;
    }

    protected void innerSetText(String text) {
        this.text = text;
    }

}
