/* UtilLib - Copyright (c) 2008 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.mapeadores.util.html;


/**
 *
 * @author Vincent Calame
 */
public class SubmitParameters {

    private HTMLAttributes inputAttributes = new HTMLAttributes();
    private HTMLAttributes divAttributes = new HTMLAttributes();
    private boolean encloseInDiv = true;

    public SubmitParameters() {
    }

    public HTMLAttributes getInputAttributes() {
        return inputAttributes;
    }

    public void setInputAttributes(HTMLAttributes inputAttributes) {
        if (inputAttributes == null) {
            this.inputAttributes = new HTMLAttributes();
        } else {
            this.inputAttributes = inputAttributes;
        }
    }

    public boolean isEncloseInDiv() {
        return encloseInDiv;
    }

    public void setEncloseInDiv(boolean encloseInDiv) {
        this.encloseInDiv = encloseInDiv;
    }

    public HTMLAttributes getDivAttributes() {
        return divAttributes;
    }

    public void setDivAttributes(HTMLAttributes divAttributes) {
        if (divAttributes == null) {
            this.divAttributes = new HTMLAttributes();
        } else {
            this.divAttributes = divAttributes;
        }
    }

}
