/* UtilLib - Copyright (c) 2006-2011 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.mapeadores.util.primitives.io;

import java.io.IOException;


/**
 *
 * @author Vincent Calame
 */
public interface PrimitivesWriter {

    public void writeInt(int i) throws IOException;

    public void writeShort(short s) throws IOException;

    public void writeByte(byte b) throws IOException;

    public void writeString(String s) throws IOException;

    public void writeBoolean(boolean b) throws IOException;

    public void writeChar(char carac) throws IOException;

    public void writeDouble(double d) throws IOException;

    public void writeLong(long l) throws IOException;

    public void writeFloat(float f) throws IOException;

}
