/* UtilLib_Servlet - Copyright (c) 2010 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.mapeadores.util.servlets;


/**
 *
 * @author Vincent Calame
 */
public interface ResponseDataType {

    public final static short UNDETERMINED_DATATYPE = 0;
    public final static short HTML_DATATYPE = 1;
    public final static short XML_DATATYPE = 2;
    public final static short JSON_DATATYPE = 3;
    public final static short JSON_IN_HTML_DATATYPE = 4;
    public final static short TEXT_DATATYPE = 5;
    public final static short JSON_P_DATATYPE = 6;
    public final static String HTML_DATATYPE_STRING = "html";
    public final static String XML_DATATYPE_STRING = "xml";
    public final static String JSON_DATATYPE_STRING = "json";
    public final static String JSON_IN_HTML_DATATYPE_STRING = "jsonh";
    public final static String TEXT_DATATYPE_STRING = "text";
    public final static String JSON_P_DATATYPE_STRING = "jsonp";
}
