/* @@@@@APPLICATION@@@@@
 *
 * Copyright (C) 2006 Vincent Calame - Exemole <vincent.calame@exemole.fr>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


package fr.exemole.bdfserver.servlets.importation;

import fr.exemole.bdfserver.response.ImportationResponseParameters;
import fr.exemole.bdfserver.request.*;
import net.mapeadores.util.servlets.*;


/**
 *
 * @author Vincent Calame
 */
public class MassMotcleMoveCommand extends AbstractMassCommand {

    public MassMotcleMoveCommand() {
    }

    public boolean needThesaurus() {
        return true;
    }

    public static String getCommandString() {
        return "MassMotcleMove";
    }

    public short getFormPage() {
        return ImportationResponseParameters.MASSMOTCLEMOVEFORM_PAGE;
    }

    public short getConfirmPage() {
        return ImportationResponseParameters.MASSMOTCLEMOVECONFIRM_PAGE;
    }

    protected boolean initSupplementaryParseParameters(ImportationResponseParameters saisieResponseParameters) throws ParameterException {
        return true;
    }

    protected ParseResult doParseStep(String text) {
        ParseResult parseResult = new ParseResult(ParseResult.LINES);
        return parseResult;
    }

    /*protected ImportationResponseParameters doParseStep(String text) throws ParameterException {
    ImportationResponseParameters responseParameters = initResponseParameters();
    if (text.length() == 0) {
    responseParameters.setServletPageType(ImportationResponseParameters.MASSMOTCLEMOVEFORM_PAGE);
    responseParameters.setMessage(ImportationResponseParameters.ERROR_MESSAGE,"saisie_err_textparse_empty", null);
    return responseParameters;
    }
    responseParameters.setServletPageType(ImportationResponseParameters.MASSLIBCONFIRM_PAGE);
    return responseParameters;
    }*/
    protected void doExecuteStep() throws ParameterException {
        responseParameters.setHtmlPageCode(ImportationResponseParameters.MASSINDEX_PAGE);
    }

}
