/* BasedefichesLib_API - Copyright (c) 2007-2008 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.mapeadores.basedefiches;


/**
 *
 * @author Vincent Calame
 */
public interface Subset {

    public Basedefiches getBasedefiches();

    public SubsetKey getSubsetKey();

    public SubsetItem getSubsetItemById(int idsubset);

    public SubsetItem getSubsetItemByTicket(int ticket);

    public int size();

    public int getTicketLength();

    public Subset getMasterSubset();

    /**
     * Retourne null ou un tableau de longueur non nulle.
     */
    public Subset[] getSlaveSubsetArray();

}
