/* BasedefichesLib_API - Copyright (c) 2010-2011 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.mapeadores.basedefiches.album.metadata;

import net.mapeadores.basedefiches.Metadata;
import net.mapeadores.basedefiches.album.Album;
import net.mapeadores.util.awt.ResizeInfo;


/**
 *
 * @author Vincent Calame
 */
public interface AlbumMetadata extends Metadata {

    public Album getAlbum();

    public int getAlbumDimCount();

    public AlbumDim getAlbumDim(int i);

    public AlbumDim getAlbumDimByName(String name);

    public AlbumDim getAlbumDimForUsage(String usageName);

    public String[] getUsageNameArray();

    public ResizeInfo getResizeInfo(short specialDim);

}
