/* BasedefichesLib_API - Copyright (c) 2006 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.mapeadores.basedefiches.association;

import java.io.File;
import java.io.InputStream;
import java.io.IOException;


/**
 *
 * @author Vincent Calame
 */
public interface Version {

    public Document getDocument();

    public FileLength getFileLength();

    public VersionName getVersionName();

    public InputStream getInputStream();

    public boolean linkTo(File file, boolean symbolicLink) throws IOException;

}
