/* BasedefichesLib_API - Copyright (c) 2010 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.mapeadores.basedefiches.corpus.fiche;




/**
 *
 * @author Vincent Calame
 */
public class MutableFicheBlockList extends DefaultFicheBlockList {

    private static final long serialVersionUID = 2L;


    public MutableFicheBlockList() {
        super(8);
    }

    public MutableFicheBlockList(int size) {
        super(size);
    }

    public MutableFicheBlockList(FicheBlock ficheBlock) {
        super(ficheBlock);
    }

    public void clear() {
        innerClear();
    }

    public void addFicheBlock(FicheBlock ficheBlock) {
        innerAddFicheBlock(ficheBlock);
    }

    public void addFicheBlockList(FicheBlockList ficheBlockList) {
        innerAddFicheBlockList(ficheBlockList);
    }


}
