/* BasedefichesLib_API - Copyright (c) 2008-2011 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.mapeadores.basedefiches.croisement;

import net.mapeadores.basedefiches.SubsetCouple;
import net.mapeadores.basedefiches.SubsetKey;


/**
 *
 * @author Vincent Calame
 */
public class NotEditableCroisementException extends RuntimeException {

    public NotEditableCroisementException(SubsetCouple subsetCouple) {
        super("Not editable = " + subsetCouple.toString());
    }

    public NotEditableCroisementException(SubsetKey subsetKey) {
        super("Unknown subset = " + subsetKey.toString());
    }

}
