/* BasedefichesLib_API - Copyright (c) 2007 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.mapeadores.basedefiches.include;

import net.mapeadores.basedefiches.corpus.metadata.FieldKey;
import java.text.ParseException;


/**
 *
 * @author Vincent Calame
 */
public class IncludeUtils {

    private IncludeUtils() {
    }

    public static Object parseKey(String key) {
        try {
            FieldKey fieldKey = FieldKey.parse(key);
            return fieldKey;
        } catch (ParseException pe) {
            try {
                IncludeKey includeKey = IncludeKey.parse(key);
                return includeKey;
            } catch (ParseException pe2) {
                return null;
            }
        }
    }

}
