/* BasedefichesLib_API - Copyright (c) 2007-2010 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.mapeadores.basedefiches.patterns;

import net.mapeadores.util.text.AccoladeArgument;
import net.mapeadores.util.text.AccoladeArgumentFactory;


/**
 *
 * @author Vincent Calame
 */
public class FicheAccoladeArgumentFactory implements AccoladeArgumentFactory {

    public final static FicheAccoladeArgumentFactory INSTANCE = new FicheAccoladeArgumentFactory();

    private FicheAccoladeArgumentFactory() {
    }

    public AccoladeArgument getAccoladeArgument(String name, String mode) {
        return FichAccoladeArgument.parse(name, mode);
    }

}
