/* BasedefichesLib_API - Copyright (c) 2006-2008 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.mapeadores.basedefiches.sphere;

import net.mapeadores.basedefiches.SubsetItem;
import net.mapeadores.basedefiches.beans.PersonneBean;
import net.mapeadores.basedefiches.beans.CourrielBean;


/**
 *
 * @author Vincent Calame
 */
public interface Redacteur extends SubsetItem {

    public int getIdsphere();

    public RedacteurKey getRedacteurKey();

    public Sphere getSphere();

    public PersonneBean getPersonneBean();

    /**
     * Peut être nul.
     */
    public CourrielBean getCourrielBean();

    public boolean isActif();

}
