/* BasedefichesLib_Explore - Copyright (c) 2007 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.mapeadores.basedefiches.extraction;


/**
 *
 * @author Vincent Calame
 */
public class SortInfo {

    public final static short VALUE_SORT = 1;
    public final static short POIDS_SORT = 2;
    private boolean ascending = true;
    private short sortType = VALUE_SORT;

    public SortInfo(short sortType, boolean ascending) {
        this.ascending = ascending;
        this.sortType = sortType;
    }

    public boolean isAscending() {
        return ascending;
    }

    public short getSortType() {
        return sortType;
    }

}
