/* BasedefichesLib_Explore - Copyright (c) 2006-2011 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.mapeadores.basedefiches.extraction.api;


/**
 *
 * @author Vincent Calame
 */
public interface MotcleFilter {

    public boolean isNoneFiltering();

    public boolean withLevel();

    public boolean withLib();

    public MotcleFilter getChildrenFilter();

    public MotcleFilter getParentFilter();

    public MotcleFilter getNextFilter();

    public MotcleFilter getPreviousFilter();

    public boolean isWithIntituleThesaurus();

    public ExtraitCorpusDefList getIndexationExtraitCorpusDefList();

    public String getTagName();

}
