/* BasedefichesLib_Explore - Copyright (c) 2009-2011 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.mapeadores.basedefiches.format.compute.resolvers;

import net.mapeadores.basedefiches.SubsetKey;
import net.mapeadores.basedefiches.croisement.FicheCroisementList;
import net.mapeadores.basedefiches.format.compute.FormatSource;
import net.mapeadores.basedefiches.format.patterns.AbregeFicheFormat;
import net.mapeadores.basedefiches.pointeurs.PointeurUtils;


/**
 *
 * @author Vincent Calame
 */
public class SpecialLiageResolver extends SpecialCorpusArrayResolver {

    public SpecialLiageResolver(AbregeFicheFormat abregeFicheFormat, SubsetKey slaveCorpusKey) {
        super(abregeFicheFormat, slaveCorpusKey);
    }

    protected FicheCroisementList[] getArray(FormatSource formatSource) {
        return PointeurUtils.getNoList(getFichePointeur(formatSource), getIncludeSummary(formatSource));
    }

}
