/* BasedefichesLib_Explore - Copyright (c) 2007 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.mapeadores.basedefiches.selection.eligibility;

import net.mapeadores.basedefiches.thesaurus.Motcle;
import net.mapeadores.basedefiches.selection.MotcleEligibility;
import net.mapeadores.util.text.Libelle;


/**
 *
 * @author Vincent Calame
 */
public class LibEligibility implements MotcleEligibility {

    private int langInteger;

    public LibEligibility(int langInteger) {
        this.langInteger = langInteger;
    }

    public boolean accept(Motcle motcle) {
        Libelle lib = motcle.getLibelleByLang(langInteger);
        return (lib != null);
    }

}
