/* BasedefichesLib_Explore - Copyright (c) 2010-2011 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.mapeadores.basedefiches.selection.util;

import java.util.ArrayList;
import net.mapeadores.basedefiches.AlbumList;
import net.mapeadores.basedefiches.album.Album;


/**
 *
 * @author Vincent Calame
 */
public class MutableAlbumList implements AlbumList {

    protected ArrayList<Album> list = new ArrayList<Album>();

    public MutableAlbumList() {
    }

    public int getAlbumCount() {
        return list.size();
    }

    public Album getAlbum(int i) {
        return list.get(i);
    }

    public void add(Album album) {
        list.add(album);
    }

}
