/* BasedefichesLib_Explore - Copyright (c) 2009-2011 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.mapeadores.basedefiches.selection.util;

import java.util.ArrayList;
import net.mapeadores.basedefiches.CorpusList;
import net.mapeadores.basedefiches.corpus.Corpus;


/**
 *
 * @author Vincent Calame
 */
public class MutableCorpusList implements CorpusList {

    protected ArrayList<Corpus> list = new ArrayList<Corpus>();

    public MutableCorpusList() {
    }

    public int getCorpusCount() {
        return list.size();
    }

    public Corpus getCorpus(int i) {
        return list.get(i);
    }

    public void add(Corpus corpus) {
        list.add(corpus);
    }

}
