/* BasedefichesLib_Export - Copyright (c) 2011 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.mapeadores.basedefiches.scrutariexport;

import net.mapeadores.basedefiches.SubsetKey;
import net.mapeadores.basedefiches.selection.FicheSelectOptions;
import net.mapeadores.util.text.AccoladePattern;


/**
 *
 * @author Vincent Calame
 */
public interface ScrutariExportDef {

    public String getName();

    public String getBaseName();

    public String getBaseIcon();

    public int getCorpusScrutariDefCount();

    public CorpusScrutariDef getCorpusScrutariDef(int i);

    public int getThesaurusScrutariDefCount();

    public ThesaurusScrutariDef getThesaurusScrutariDef(int i);

    public AccoladePattern getFicheHrefPattern();

    public AccoladePattern getMotcleHrefPattern();

    public FicheSelectOptions getFicheSelectOptions();

    public int getLangUICount();

    public int getLangUI(int i);

}
