/* BasedefichesLib_Export - Copyright (c) 2011 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.mapeadores.basedefiches.sqlexport;


/**
 *
 * @author Vincent Calame
 */
public interface SqlExportDef {

    public String getSqlExportClassName();

    public String getPath();

    public String getName();

    public String getUrl();

    public String getTableExportName();

    public String getPostCommand();

    public int getParamCount();

    public Param getParam(int i);


    public interface Param {

        public String getName();

        public String getValue();

    }

}
