/* BasedefichesLib_Tools - Copyright (c) 2008-2010 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.mapeadores.basedefiches.tools.odsexport;

import java.io.IOException;
import net.mapeadores.opendocument.io.OdContentWriter;


/**
 *
 * @author Vincent Calame
 */
public abstract class SpreadSheetXMLWriter extends OdContentWriter {

    public SpreadSheetXMLWriter() {
    }

    public void start() throws IOException {
        appendXMLDeclaration();
        openDocumentContent();
        openBody();
        openSpreadsheet();
    }

    public void end() throws IOException {
        closeSpreadsheet();
        closeBody();
        closeDocumentContent();
    }

    public abstract void printTable() throws IOException;

}
