/* BdfServer - Copyright (c) 2007-2011 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package fr.exemole.bdfserver.managers;

import fr.exemole.bdfserver.BdfManager;
import net.mapeadores.basedefiches.sqlexport.SqlExportDef;


/**
 *
 * @author Vincent Calame
 */
public interface SqlExportManager extends BdfManager {

    public int getSqlExportDefCount();

    public SqlExportDef getSqlExportDef(int i);

    public SqlExportDef getSqlExportDef(String name);

    public void putSqlExportDef(SqlExportDef sqlExportDef);

    public void removeSqlExportDef(String name);

}
