/* BdfServer - Copyright (c) 2009-2011 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package fr.exemole.bdfserver.request.formimp;

import fr.exemole.bdfserver.request.form.IncludeElement;
import net.mapeadores.basedefiches.include.IncludeKey;


/**
 *
 * @author Vincent Calame
 */
public abstract class AbstractIncludeElement extends AbstractFormElement implements IncludeElement {

    private IncludeKey includeKey;

    public AbstractIncludeElement(IncludeKey includeKey) {
        this.includeKey = includeKey;
    }

    public IncludeKey getIncludeKey() {
        return includeKey;
    }

}
