/* BdfServer - Copyright (c) 2009-2011 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package fr.exemole.bdfserver.request.formimp;

import fr.exemole.bdfserver.request.form.GeopointSubfieldsElement;
import net.mapeadores.basedefiches.corpus.metadata.CorpusField;


/**
 *
 * @author Vincent Calame
 */
public class DefaultGeopointSubfieldsElement extends AbstractCorpusFieldElement implements GeopointSubfieldsElement {

    private String latitude = "";
    private String longitude = "";
    private String[] adresseFieldNameArray;

    public DefaultGeopointSubfieldsElement(CorpusField corpusField) {
        super(corpusField);
    }

    public String getLatitude() {
        return latitude;
    }

    public void setLatitude(String latitude) {
        this.latitude = latitude;
    }

    public String getLongitude() {
        return longitude;
    }

    public void setLongitude(String longitude) {
        this.longitude = longitude;
    }

    public String[] getAdresseFieldNameArray() {
        return adresseFieldNameArray;
    }

    public void setAdresseFieldNameArray(String[] adresseFieldNameArray) {
        this.adresseFieldNameArray = adresseFieldNameArray;
    }

}
