/* BdfServer - Copyright (c) 2009-2011 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package fr.exemole.bdfserver.request.formimp;

import fr.exemole.bdfserver.request.form.LangFieldElement;
import net.mapeadores.basedefiches.corpus.metadata.CorpusField;


/**
 *
 * @author Vincent Calame
 */
public class DefaultLangFieldElement extends AbstractCorpusFieldElement implements LangFieldElement {

    private short type;
    private int langInteger;
    private int[] availableLangArray;

    public DefaultLangFieldElement(CorpusField corpusField) {
        super(corpusField);
    }

    public int getLangInteger() {
        return langInteger;
    }

    public void setLangInteger(int langInteger) {
        this.langInteger = langInteger;
    }

    public int[] getAvailableLangArray() {
        return availableLangArray;
    }

    public void setAvailableLangArray(int[] availableLangArray) {
        this.availableLangArray = availableLangArray;
    }

    public short getType() {
        return type;
    }

    public void setType(short type) {
        this.type = type;
    }

}
