/* BdfServer - Copyright (c) 2009-2011 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package fr.exemole.bdfserver.request.formimp;

import fr.exemole.bdfserver.request.form.NotEditableAssociationElement;
import net.mapeadores.basedefiches.croisement.DocumentCroisementList;
import net.mapeadores.basedefiches.include.IncludeKey;


/**
 *
 * @author Vincent Calame
 */
public class DefaultNotEditableAssociationElement extends AbstractIncludeElement implements NotEditableAssociationElement {

    private DocumentCroisementList documentCroisementList;

    public DefaultNotEditableAssociationElement(IncludeKey includeKey) {
        super(includeKey);
    }

    public DocumentCroisementList getDocumentCroisementList() {
        return documentCroisementList;
    }

    public void setDocumentCroisementList(DocumentCroisementList documentCroisementList) {
        this.documentCroisementList = documentCroisementList;
    }

}
