/* BdfServer - Copyright (c) 2009-2011 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package fr.exemole.bdfserver.request.formimp;

import fr.exemole.bdfserver.request.form.RattachementToSlaveElement;
import net.mapeadores.basedefiches.croisement.FicheCroisementList;
import net.mapeadores.basedefiches.include.IncludeKey;


/**
 *
 * @author Vincent Calame
 */
public class DefaultRattachementToSlaveElement extends AbstractIncludeElement implements RattachementToSlaveElement {

    private FicheCroisementList[] slaveAbregeFicheListArray;

    public DefaultRattachementToSlaveElement(IncludeKey includeKey) {
        super(includeKey);
    }

    public FicheCroisementList[] getSlaveAbregeFicheListArray() {
        return slaveAbregeFicheListArray;
    }

    public void setSlaveAbregeFicheListArray(FicheCroisementList[] slaveAbregeFicheListArray) {
        this.slaveAbregeFicheListArray = slaveAbregeFicheListArray;
    }

}
