/* BdfServer - Copyright (c) 2009-2011 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package fr.exemole.bdfserver.ui;


/**
 *
 * @author Vincent Calame
 */
public class DefaultAlterUI implements AlterUI {

    private short type;
    private ComponentUIFilter componentUIFilter;
    private ComponentUIList componentUIList;

    public DefaultAlterUI(ComponentUIFilter componentUIFilter) {
        this.componentUIFilter = componentUIFilter;
        this.type = COMPONENTUI_FILTER;
    }

    public DefaultAlterUI(ComponentUIList componentUIList) {
        this.componentUIList = componentUIList;
        this.type = COMPONENTUI_LISTE;
    }

    public short getType() {
        return type;
    }

    public ComponentUIFilter getComponentUIFilter() {
        return componentUIFilter;
    }

    public ComponentUIList getComponentUIList() {
        return componentUIList;
    }

}
