/* BdfServer - Copyright (c) 2006-2011 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package fr.exemole.bdfserver.ui.corpus;

import fr.exemole.bdfserver.ui.ComponentUI;


/**
 *
 * @author Vincent Calame
 */
public interface CommentUI extends ComponentUI {

    public final static int FORM_BITVALUE = 1;
    public final static int AFFICHAGE_BITVALUE = 2;
    public final static int ALL_MASK = 3;

    public int getLocation();

    public String getName();

    public int getHtmlStringCount();

    public String getHtmlString(int i);

    public int getHtmlLangInteger(int i);

    public String getHtmlStringByLang(int langInteger);

}
