/* BdfServer - Copyright (c) 2009-2011 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package fr.exemole.bdfserver.ui.corpus;

import fr.exemole.bdfserver.ui.options.InputOption;
import fr.exemole.bdfserver.ui.options.LimitOption;
import fr.exemole.bdfserver.ui.options.ValueOption;
import net.mapeadores.basedefiches.include.IncludeKey;
import net.mapeadores.util.text.Libelle;


/**
 *
 * @author Vincent Calame
 */
public class MutableIncludeUI extends DefaultIncludeUI {

    public MutableIncludeUI(IncludeKey includeKey) {
        super(includeKey);
    }

    public MutableIncludeUI(IncludeUI includeUI) {
        super(includeUI);
    }

    public void updateInputOption(InputOption inputOption) {
        innerUpdateInputOption(inputOption);
    }

    public void updateLimitOption(LimitOption limitOption) {
        innerUpdateLimitOption(limitOption);
    }

    public void updateValueOption(ValueOption valueOption) {
        innerUpdateValueOption(valueOption);
    }

    public void setMotcleSelectOptionsString(String motcleSelectOptionsString) {
        innerSetMotcleSelectOptionsString(motcleSelectOptionsString);
    }

    public boolean setDefaultLibelleUsage(boolean def) {
        return innerSetDefaultLibelleUsage(def);
    }

    public boolean setWithIdalpha(boolean withIdalpha) {
        return innerSetWithIdalpha(withIdalpha);
    }

    public boolean putLibelle(Libelle libelle) {
        return innerPutLibelle(libelle);
    }

    public boolean removeLibelle(int langInteger) {
        return innerRemoveLibelle(langInteger);
    }

}
