/* BdfServer_Commands - Copyright (c) 2010 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package fr.exemole.bdfserver.commands2;

import fr.exemole.bdfserver.users.BdfUser;
import net.mapeadores.util.logging.CommandMessage;


/**
 *
 * @author Vincent Calame
 */
public interface BdfCommand2 {

    public short getBdfUserNeed();

    public boolean needSynchronisation();

    public CommandMessage testCommand(BdfUser bdfUser) throws BdfCommand2Exception;

    public BdfCommand2Result doCommand(BdfUser bdfUser) throws BdfCommand2Exception;

    public String getCommandName();

}
