/* BdfServer_Commands - Copyright (c) 2010 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package fr.exemole.bdfserver.commands2;

import fr.exemole.bdfserver.users.BdfUser;
import net.mapeadores.util.request.RequestMap;


/**
 *
 * @author Vincent Calame
 */
public class BdfCommandPageParameters {

    private String actionName;
    private RequestMap requestMap;
    private BdfUser bdfUser;
    private BdfCommand2Result bdfCommandResult;

    public BdfCommandPageParameters() {
    }

    public RequestMap getRequestMap() {
        return requestMap;
    }

    public void setRequestMap(RequestMap requestMap) {
        this.requestMap = requestMap;
    }

    public BdfUser getBdfUser() {
        return bdfUser;
    }

    public void setBdfUser(BdfUser bdfUser) {
        this.bdfUser = bdfUser;
    }

    public BdfCommand2Result getBdfCommandResult() {
        return bdfCommandResult;
    }

    public void setBdfCommandResult(BdfCommand2Result bdfCommandResult) {
        this.bdfCommandResult = bdfCommandResult;
    }

    public String getActionName() {
        return actionName;
    }

    public void setActionName(String actionName) {
        this.actionName = actionName;
    }

}
