/* BdfServer_Commands
 *
 * Copyright (C) 2009-2010 Vincent Calame - Exemole <vincent.calame@exemole.fr>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


package fr.exemole.bdfserver.response;


/**
 *
 * @author Vincent Calame
 */
public interface AffichageConstants extends BdfConstants {

    public static final short FICHES_PAGE = 1051;
    public static final short RECENSEMENTS_PAGE = 1052;
    public static final short ISO_PAGE = 1053;
    public static final short MENU_PAGE = 1054;
    public static final short ACCUEIL_PAGE = 1055;
    public static final short LIAGE_PAGE = 1056;
    public static final short GEOLOCALISATION_PAGE = 1057;
    public static final short GLOBALSTATS_PAGE = 1058;
    public static final short CORPUSTHESAURUS_PAGE = 1059;
    public static final short FILTEREDTHESAURUS_PAGE = 1060;
    public static final short FICHE_HTML_STREAM = 2051;
    public static final short FICHE_XML_STREAM = 2052;
    public static final short FICHE_XMLXSL_STREAM = 2053;
    public static final short FICHE_OCTET_STREAM = 2054;
    public static final short THS_STATS_XML_STREAM = 2056;
    public static final short THS_STATS_HTML_STREAM = 2057;
    public static final short THS_STATSSEL_XML_STREAM = 2058;
    public static final short THS_STATSSEL_HTML_STREAM = 2059;
    public static final short THS_INVERSE_XML_STREAM = 2060;
    public static final short THS_INVERSE_HTML_STREAM = 2061;
    public static final short THS_LIBS_XML_STREAM = 2062;
    public static final short THESAURUS_ODS_STREAM = 2063;
    public static final short MOTCLE_HTML_STREAM = 2064;
    public static final short MOTCLE_XML_STREAM = 2065;
    public static final short THS_STATS_ODS_STREAM = 2066;
    public static final short THS_STATSSEL_ODS_STREAM = 2067;
    public static final short THS_INVERSE_ODS_STREAM = 2068;
    public static final short COMPILATION_HTML_STREAM = 2069;
    public static final short COMPILATION_XML_STREAM = 2070;
    public static final short COMPILATION_OCTET_STREAM = 2071;
    public static final short BALAYAGEUNIT_OCTET_STREAM = 2072;
    public static final short UI_ODS_STREAM = 2073;
    public static final short SPHERE_ODS_STREAM = 2074;
    public static final short STORAGEPROCESSLOG_TXT_STREAM = 2075;
    public static final short IMAGE_OCTET_STREAM = 2078;
    public static final String LANGUAGES = "languages";
    public static final String COUNTRIES = "countries";
    public static final String EXTENSION_PARAMNAME = "extension";
}
