/* BdfServer_DirectoryStorage - Copyright (c) 2006-2011 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package fr.exemole.bdfserver.storage.directory.old;

import net.mapeadores.util.conditions.ConditionGroupBean;
import java.io.Serializable;


/**
 *
 * @author Vincent Calame
 */
public final class FicheSelectOptionsBean implements Serializable {

    private static final long serialVersionUID = 1L;
    private MotcleSelectOptionsBean[] motcleSelectOptionsBeanArray;
    private String motcleMode;
    private ConditionGroupBean titreConditionGroupBean;
    private String[] corpusSubIdArray;
    private String[] redacteurArray;
    private String range;

    public FicheSelectOptionsBean() {
    }

    public void setMotcleConditionGroupBean(ConditionGroupBean motcleConditionGroupBean) {
    }

    public MotcleSelectOptionsBean[] getMotcleSelectOptionsBeanArray() {
        return motcleSelectOptionsBeanArray;
    }

    public void setMotcleSelectOptionsBeanArray(MotcleSelectOptionsBean[] motcleSelectOptionsBeanArray) {
        this.motcleSelectOptionsBeanArray = motcleSelectOptionsBeanArray;
    }

    public ConditionGroupBean getTitreConditionGroupBean() {
        return titreConditionGroupBean;
    }

    public void setTitreConditionGroupBean(ConditionGroupBean titreConditionGroupBean) {
        this.titreConditionGroupBean = titreConditionGroupBean;
    }

    public String[] getCorpusSubIdArray() {
        return corpusSubIdArray;
    }

    public void setCorpusSubIdArray(String[] corpusSubIdArray) {
        this.corpusSubIdArray = corpusSubIdArray;
    }

    public String[] getRedacteurArray() {
        return redacteurArray;
    }

    public void setRedacteurArray(String[] redacteurArray) {
        this.redacteurArray = redacteurArray;
    }

    public String getRange() {
        return range;
    }

    public void setRange(String range) {
        this.range = range;
    }

    public String getMotcleMode() {
        return motcleMode;
    }

    public void setMotcleMode(String motcleMode) {
        this.motcleMode = motcleMode;
    }

    /**
     * Obsolète à la version 0.9.8.3
     */
    /*public MotcleSelectOptionsBean getMotcleSelectOptionsBean() {
    return null;
    }*/
    public void setMotcleSelectOptionsBean(MotcleSelectOptionsBean motcleSelectOptionsBean) {
        motcleSelectOptionsBeanArray = new MotcleSelectOptionsBean[1];
        motcleSelectOptionsBeanArray[0] = motcleSelectOptionsBean;
    }

}
