/* BdfServer_DirectoryStorage - Copyright (c) 2006-2011 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package fr.exemole.bdfserver.storage.directory.old;

import java.io.Serializable;
import net.mapeadores.util.conditions.ConditionGroupBean;


/**
 *
 * @author Vincent Calame
 */
public class MotcleSelectOptionsBean implements Serializable {

    private static final long serialVersionUID = 1L;
    private ConditionGroupBean conditionGroupBean;
    private String[] thesaurusSubIdArray;
    private String idthsRange;
    private String levelRange;
    private boolean idalphaOnly;

    public MotcleSelectOptionsBean() {
    }

    public ConditionGroupBean getConditionGroupBean() {
        return conditionGroupBean;
    }

    public void setConditionGroupBean(ConditionGroupBean conditionGroupBean) {
        this.conditionGroupBean = conditionGroupBean;
    }

    public String[] getThesaurusSubIdArray() {
        return thesaurusSubIdArray;
    }

    public void setThesaurusSubIdArray(String[] thesaurusSubIdArray) {
        this.thesaurusSubIdArray = thesaurusSubIdArray;
    }

    public String getIdthsRange() {
        return idthsRange;
    }

    public void setIdthsRange(String idthsRange) {
        this.idthsRange = idthsRange;
    }

    public String getLevelRange() {
        return levelRange;
    }

    public void setLevelRange(String levelRange) {
        this.levelRange = levelRange;
    }

    public boolean isIdalphaOnly() {
        return idalphaOnly;
    }

    public void setIdalphaOnly(boolean idalphaOnly) {
        this.idalphaOnly = idalphaOnly;
    }

}
