/* BdfServer_DirectoryStorage - Copyright (c) 2006-2011 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package fr.exemole.bdfserver.storage.directory.old;

import java.io.Serializable;


/**
 *
 * @author Vincent Calame
 */
public final class PasswordRedacteurBean implements Serializable {

    private String password;
    private String redacteurKey;

    public PasswordRedacteurBean() {
    }

    public PasswordRedacteurBean(String redacteurBaseKey, String password) {
        setRedacteurKey(redacteurBaseKey);
        setPassword(password);
    }

    public String getPassword() {
        return password;
    }

    public void setPassword(String password) {
        this.password = password;
    }

    public String getRedacteurKey() {
        return redacteurKey;
    }

    /*
     *
     *@throws IllegalArgumentException si redacteurBaseKey est nul
     */
    public void setRedacteurKey(String redacteurKey) {
        if (redacteurKey == null) {
            throw new IllegalArgumentException("redacteurKey is null");
        }
        this.redacteurKey = redacteurKey;
    }

}

