/* BdfServer_DirectoryStorage - Copyright (c) 2006-2011 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package fr.exemole.bdfserver.storage.directory.old;

import java.io.Serializable;


/**
 *
 * @author Vincent Calame
 */
public final class RoleRedacteurBean implements Serializable {

    private String roleName;
    private String redacteurKey;

    public RoleRedacteurBean() {
    }

    public RoleRedacteurBean(String redacteurBaseKey, String roleName) {
        setRedacteurKey(redacteurBaseKey);
        setRoleName(roleName);
    }

    public String getRoleName() {
        return roleName;
    }

    public void setRoleName(String roleName) {
        this.roleName = roleName;
    }

    public String getRedacteurKey() {
        return redacteurKey;
    }

    /*
     *
     *@throws IllegalArgumentException si redacteurBaseKey est nul
     */
    public void setRedacteurKey(String redacteurBaseKey) {
        if (redacteurBaseKey == null) {
            throw new IllegalArgumentException("redacteurKey is null");
        }
        this.redacteurKey = redacteurBaseKey;
    }

}
