/* BdfServer_DirectoryStorage - Copyright (c) 2006-2011 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package fr.exemole.bdfserver.storage.directory.old;

import java.io.Serializable;


/**
 *
 * @author Vincent Calame
 */
public final class XslTemplateBean implements Serializable {

    private String templateName;
    private String transformationKey;

    public XslTemplateBean() {
    }

    public XslTemplateBean(String sourceKey, String templateName) {
        setTransformationKey(sourceKey);
        setTemplateName(templateName);
    }

    public String getTemplateName() {
        return templateName;
    }

    public void setTemplateName(String templateName) {
        this.templateName = templateName;
    }

    public String getTransformationKey() {
        return transformationKey;
    }

    public void setTransformationKey(String transformationKey) {
        this.transformationKey = transformationKey;
    }

}
