/* BdfServer_Get - Copyright (c) 2009-2011 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package fr.exemole.bdfserver.get.instructions.pioche;


/**
 *
 * @author Vincent Calame
 */
public interface PiocheConstants {

    public final static String CORPUS_PARAMNAME = "corpus";
    public final static String FIELD_PARAMNAME = "field";
    public final static String APPELANT_PARAMNAME = "appelant";
    public final static String LAT_PARAMNAME = "lat";
    public final static String LONG_PARAMNAME = "lon";
    public static final String CATEGORY_PARAMNAME = "category";
    public static final String ACTION_PARAMNAME = "action";
    public static final String FICHIER_PARAMNAME = "fichier";
    public static final String IMAGEFIELD_PARAMNAME = "imagefield";
    public static final String FILENUMBER_PARAMNAME = "filenumber";
    public static final String RECHERCHE_PARAMNAME = "recherche";
    public static final String PARAM_PARAMNAME = "param";
    public static final String SUBSETS_PARAMNAME = "subsets";
    public static final String LIMITE_PARAMNAME = "limite";
    public static final String TEMPFILENAME_PARAMNAME = "tempfilename";
    public static final String MOTCLESELECTOPTIONS_PARAMNAME = "motcleselectoptions";
    public static final String IDTHS_PARAMVALUE = "Idths";

    public static final short FICHIERIMAGE_JSON = 16;
    public static final short GET_IDALPHA = 21;
    public static final short GET_IDTHS = 22;
    public static final short GET_LIBELLE = 23;
    public static final String INTKEY_WANTED = "intkey";
    public static final String IDALPHAKEY_INTKEY_WANTED = "idalphakey_intkey";
    public static final String IDALPHAKEY_TEXT_WANTED = "idalphakey_text";
}
