/* BdfServer_Get - Copyright (c) 2011 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package fr.exemole.bdfserver.get.instructions.pioche;

import net.mapeadores.util.logging.CommandMessage;


/**
 *
 * @author Vincent Calame
 */
public class PiocheException extends Exception {

    private CommandMessage errorMessage;

    public PiocheException(String key, Object value) {
        super(key);
        this.errorMessage = CommandMessage.error(key, value);
    }

    public PiocheException(CommandMessage errorMessage) {
        super(errorMessage.getTitleResourceItem().getResourceKey());
        this.errorMessage = errorMessage;
    }

    public CommandMessage getErrorMessage() {
        return errorMessage;
    }


}
