/* BdfServer_Get - Copyright (c) 2011 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package fr.exemole.bdfserver.get.streamproducers.bdfcontent;

import java.io.IOException;
import net.mapeadores.basedefiches.Subset;
import net.mapeadores.basedefiches.xml.libs.LibsXMLWriter;
import net.mapeadores.util.xml.XmlProducer;


/**
 *
 * @author Vincent Calame
 */
public class LibsXmlProducer implements XmlProducer {

    private Subset subset;
    private int langInteger;

    public LibsXmlProducer(Subset subset, int langInteger) {
        this.subset = subset;
        this.langInteger = langInteger;
    }

    public void writeXml(Appendable appendable) throws IOException {
        LibsXMLWriter libsWriter = new LibsXMLWriter(langInteger, appendable, 0);
        libsWriter.appendXMLDeclaration();
        libsWriter.appendSubsetLibs(subset);
    }

}
