function FF_AlbumInclude () {

}

FF_AlbumInclude.TmpFile = function () {
}

FF_AlbumInclude.Illustration = function () {
}

FF_AlbumInclude.Utils = function () {
}

FF_AlbumInclude.init = function () {
    var blocList = $("div.JQ_FF_ALBUMINCLUDE");
    var ln = blocList.length;
    for(var i = 0; i < ln; i++) {
        var el = blocList.get(i);
        var bloc = $(el);
        var blocKey = FF_Utils.getBlocKey(el);
        var illustrationList = bloc.find("div.JQ_FF_ILLUSTRATIONLIST").children("div.JQ_FF_ILLUSTRATION");
        var illustrationCount = illustrationList.length;
        for (var j = 0; j < illustrationCount; j++) {
            var divEl = illustrationList.get(j);
            var illustrationDiv = $(divEl);
            var illustrationDivId = divEl.id;
            var appendScript = "<div class=\"ff_OutilsIllustration\">"
            + FF_Core.getIconTool16x16("global_link_illustration_change.png", "global_link_illustration_change","FF_AlbumInclude.Illustration.openChange", "'" + blocKey + "','" + illustrationDivId + "'")
            + FF_Core.getIconTool16x16("global_link_illustration_remove.png", "global_link_illustration_remove","FF_AlbumInclude.Illustration.remove", "'" + blocKey + "','" + illustrationDivId + "'")
            + "</div>";
            illustrationDiv.prepend(appendScript);
            var img = FF_AlbumInclude.Utils.getImgJqueryElement(illustrationDiv);
            FF_AlbumInclude.Illustration.initIllustrationInfo(illustrationDivId, img.attr("src"));
        }
        var illustrationInput = $(el).find("div.JQ_FF_ILLUSTRATIONINPUT");
        var newText = "<div class=\"ff_BarreAjoutIllustration\">"
        + FF_Core.getIconTool32x16("global_link_illustration_create.png", "global_link_illustration_create","FF_AlbumInclude.openCreate", "'" + blocKey + "'");
        + "</div>";
        illustrationInput.append(newText);
    }
}

FF_AlbumInclude.openCreate = function (blocKey) {
    var album = FF_Utils.getSubsetName(blocKey, "album");
    var url = "Album?page=illustration-upload-new&album=" + album + "&appelant=" + blocKey;
    FF_Utils.openDialog(url,"pioche_"+ blocKey, 620, 510);
}

FF_AlbumInclude.afterChange = function (changeType, appelant, tmpFileName) {
    if (changeType == "create") {
        var blocKey = appelant;
        FF_AlbumInclude.createIllustration(blocKey, tmpFileName);
    } else if (changeType == "tmpFileChange") {
        var idx = appelant.indexOf("/");
        var blocKey = appelant.substring(0, idx);
        var illustrationDivId = appelant.substring(idx+1);
        FF_AlbumInclude.TmpFile.afterChange(blocKey, illustrationDivId, tmpFileName);
    } else if (changeType == "illustrationChange") {
        var idx = appelant.indexOf("/");
        var blocKey = appelant.substring(0, idx);
        var illustrationDivId = appelant.substring(idx+1);
        FF_AlbumInclude.Illustration.afterChange(blocKey, illustrationDivId, tmpFileName);
    }
}

FF_AlbumInclude.createIllustration = function (blocKey, tmpFileName) {
    var champEl = $("#ID_FF_CHAMP_" + blocKey + "_create");
    champEl.val(champEl.val() + tmpFileName + ";");
    var bloc = $("#ID_FF_BLOC_" + blocKey);
    var list = bloc.find("div.JQ_FF_ILLUSTRATIONLIST");
    var illustrationDivId = FF_Core.generateId();
    FF_AlbumInclude.TmpFile.putTmpFileName(illustrationDivId, tmpFileName);
    var text = "<div class=\"FF_Illustration_Div\" id=\"" + illustrationDivId + "\">"
        + "<div class=\"ff_OutilsIllustration\">"
        + FF_Core.getIconTool16x16("global_link_illustration_change.png", "global_link_illustration_change","FF_AlbumInclude.TmpFile.openChange", "'" + blocKey + "','" + illustrationDivId + "'")
        + FF_Core.getIconTool16x16("global_link_illustration_remove.png", "global_link_illustration_remove","FF_AlbumInclude.TmpFile.remove", "'" + blocKey + "','" + illustrationDivId + "'")
        + "</div>"
        + "<div class=\"FF_Illustration_Img\"><img class=\"JQ_FF_ILLUSTRATION_IMG\" src=\"prv/tmp/mini-" + tmpFileName + "\"></div>"
        + "<div class=\"FF_Illustration_Uri JQ_FF_ILLUSTRATION_URI ff_IllustrationModifiee\">" + "<abbr title=\"" + FF_Core.getLoc("album_info_tmpfile") + "\">???</abbr></div>"
        + "</div>";
    list.append(text);
}


/** Illustration ***************************************************************************/

FF_AlbumInclude.Illustration.illustrationInfoMap = new Object();

FF_AlbumInclude.Illustration.openChange = function (blocKey, illustrationDivId) {
    var album = FF_Utils.getSubsetName(blocKey, "album");
    var appelant = blocKey + "/" + illustrationDivId;
    var illustrationInfo = FF_AlbumInclude.Illustration.getIllustrationInfo(illustrationDivId);
    var url = "Album?page=illustration-change&changetype=illustrationChange&album=" + album + "&appelant=" + appelant + "&idalbum=" + illustrationInfo.idalbum;
    if (illustrationInfo.tmpFileName) {
        url = url + "&tmpfile=" + illustrationInfo.tmpFileName;
    }
    FF_Utils.openDialog(url,"pioche_"+ blocKey, 620, 510);
}

FF_AlbumInclude.Illustration.afterChange = function (blocKey, illustrationDivId, newTmpFileName) {
    var album = FF_Utils.getSubsetName(blocKey, "album");
    var illustrationDiv = $("#" + illustrationDivId);
    var illustrationInfo = FF_AlbumInclude.Illustration.getIllustrationInfo(illustrationDivId);
    var img = FF_AlbumInclude.Utils.getImgJqueryElement(illustrationDiv);
    var uri = illustrationDiv.find("div.JQ_FF_ILLUSTRATION_URI");
    if (newTmpFileName == "_ORIGINAL") {
        img.attr("src", illustrationInfo.originalSrc);
        illustrationInfo.tmpFileName = null;
        uri.removeClass("ff_IllustrationModifiee");
        FF_AlbumInclude.Illustration.deleteUpdate(blocKey, illustrationInfo.idalbum);
    } else {
        img.attr("src", "prv/tmp/mini-" + newTmpFileName);
        illustrationInfo.tmpFileName = newTmpFileName;
        uri.addClass("ff_IllustrationModifiee");
        FF_AlbumInclude.Illustration.putUpdate(blocKey, illustrationInfo.idalbum, newTmpFileName);
    }

}

FF_AlbumInclude.Illustration.remove = function (blocKey, illustrationDivId) {
    var ok = confirm(FF_Core.getLoc("album_info_removewarning_illustration"));
    if (ok) {
        var el = $("#" + illustrationDivId);
        el.hide();
        var idx = illustrationDivId.lastIndexOf("_");
        var idalbum = illustrationDivId.substring(idx+1);
        var champEl = $("#ID_FF_CHAMP_" + blocKey + "_remove");
        champEl.val(champEl.val() + idalbum + ";");
    }
}

/* Objet avec les propriétés idalbum, originalSrc et tmpFileName */
FF_AlbumInclude.Illustration.getIllustrationInfo = function (illustrationDivId) {
    return FF_AlbumInclude.Illustration.illustrationInfoMap[illustrationDivId];
}

FF_AlbumInclude.Illustration.initIllustrationInfo = function (illustrationDivId, originalSrc) {
    var illustrationInfo = new Object();
    illustrationInfo.originalSrc = originalSrc;
    illustrationInfo.tmpFileName = null;
    var idx = illustrationDivId.lastIndexOf("__");
    illustrationInfo.idalbum = illustrationDivId.substring(idx+2);
    FF_AlbumInclude.Illustration.illustrationInfoMap[illustrationDivId] = illustrationInfo;
}

FF_AlbumInclude.Illustration.putUpdate = function (blocKey, idalbum, newTmpFileName) {
    var newToken = idalbum + "=" + newTmpFileName;
    var champEl = $("#ID_FF_CHAMP_" + blocKey + "_update");
    var currentVal = champEl.val();
    if ((!currentVal) || (currentVal.length == 0)) {
        champEl.val(newToken);
        return;
    }
    var array = currentVal.split(";");
    var length = array.length;
    var done = false;
    for(var i = 0; i < length; i++) {
        var token = array[i];
        var idx = token.indexOf("=");
        if (idx < 1) {
            continue;
        }
        if (token.substring(0,idx) == idalbum) {
            array[i] = newToken;
            done = true;
            break;
        }
    }
    if (!done) {
        array.push(newToken);
    }
    champEl.val(array.join(";"));
}

FF_AlbumInclude.Illustration.deleteUpdate = function (blocKey, idalbum) {
    var champEl = $("#ID_FF_CHAMP_" + blocKey + "_update");
    var currentVal = champEl.val();
    if ((!currentVal) || (currentVal.length == 0)) {
        return;
    }
    var array = currentVal.split(";");
    var length = array.length;
    var newVal = "";
    for(var i = 0; i < length; i++) {
        var token = array[i];
        var idx = token.indexOf("=");
        if (idx < 1) {
            continue;
        }
        if (token.substring(0,idx) != idalbum) {
            newVal = newVal + token + ";";
        }
    }
    champEl.val(newVal);
}


/** TmpFile ***************************************************************************/

FF_AlbumInclude.TmpFile.tmpFileNameMap = new Object();

FF_AlbumInclude.TmpFile.openChange = function (blocKey, illustrationDivId) {
    var album = FF_Utils.getSubsetName(blocKey, "album");
    var tmpFileName = FF_AlbumInclude.TmpFile.getTmpFileName(illustrationDivId);
    var appelant = blocKey + "/" + illustrationDivId;
    var url = "Album?page=illustration-change&changetype=tmpFileChange&album=" + album + "&appelant=" + appelant + "&tmpfile=" + tmpFileName;
    FF_Utils.openDialog(url,"pioche_"+ blocKey, 620, 510);
}

FF_AlbumInclude.TmpFile.afterChange = function (blocKey, illustrationDivId, newTmpFileName) {
    var illustrationDiv = $("#" + illustrationDivId);
    var oldTmpFileName = FF_AlbumInclude.TmpFile.getTmpFileName(illustrationDivId);
    var champEl = $("#ID_FF_CHAMP_" + blocKey + "_create");
    var currentText = champEl.val();
    var idx = currentText.indexOf(oldTmpFileName);
    if (idx > -1) {
        currentText = currentText.substring(0, idx) + currentText.substring(idx + newTmpFileName.length + 1);
    }
    currentText = currentText + newTmpFileName + ";";
    champEl.val(currentText);
    var img = FF_AlbumInclude.Utils.getImgJqueryElement(illustrationDiv);
    img.attr("src", "prv/tmp/mini-" + newTmpFileName);
    FF_AlbumInclude.TmpFile.putTmpFileName(illustrationDivId, newTmpFileName);
}

FF_AlbumInclude.TmpFile.remove = function (blocKey, illustrationDivId) {
    var ok = confirm(FF_Core.getLoc("album_info_removewarning_tmpfile"));
    if (ok) {
        var illustrationDiv = $("#" + illustrationDivId);
        var tmpFileName = FF_AlbumInclude.TmpFile.getTmpFileName(illustrationDivId);
        illustrationDiv.hide();
        var champEl = $("#ID_FF_CHAMP_" + blocKey + "_create");
        var currentText = champEl.val();
        var idx = currentText.indexOf(tmpFileName);
        if (idx > -1) {
            currentText = currentText.substring(0, idx) + currentText.substring(idx + tmpFileName.length + 1);
            champEl.val(currentText);
        }
    }
}

FF_AlbumInclude.TmpFile.getTmpFileName = function (illustrationDivId) {
    return FF_AlbumInclude.TmpFile.tmpFileNameMap[illustrationDivId];
}

FF_AlbumInclude.TmpFile.putTmpFileName = function (illustrationDivId, tmpFileName) {
    FF_AlbumInclude.TmpFile.tmpFileNameMap[illustrationDivId] = tmpFileName;
}


/** Utils ***************************************************************************/

FF_AlbumInclude.Utils.getImgJqueryElement = function (illustrationDiv) {
    return illustrationDiv.find("img.JQ_FF_ILLUSTRATION_IMG");
}