/* UtilLib - Copyright (c) 2011 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.mapeadores.util.attr;

import net.mapeadores.util.text.LibelleHolder;

/**
 *
 * @author Vincent Calame
 */
public interface AttributeDef {

    /**
     * N'est jamais nul
     */
    public AttributeKey getAttributeKey();

    public int getScopeCount();

    public String getScope(int i);

    /***
     * N'est jamais nul mais peut être de longueur nulle (pas de format type)
     */
    public String getFormatType();

    /**
     * Peut retourner nul
     */
    public Object getFormatObject();

    public LibelleHolder getLibelleHolder();
}
