/* UtilLib - Copyright (c) 2008 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.mapeadores.util.common;


/**
 *
 * @author Vincent Calame
 */
public class CommonUtils implements GeoCommon {

    private CommonUtils() {
    }

    public static String getGeoCode(short type) {
        switch (type) {
            case NORTH:
                return "N";
            case SOUTH:
                return "S";
            case WEST:
                return "W";
            case EAST:
                return "E";
            default:
                throw new IllegalArgumentException("wrong type = " + type);
        }
    }

}
