/* UtilLib - Copyright (c) 2006-2011 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.mapeadores.util.conditions;


/**
 *
 * @author Vincent Calame
 */
public interface Condition {

    public short getMode();

    public short getState();

    /**
     * Ne dépasse pas 30
     */
    public int getExcludingTextTestCount();

    /**
     * Ne dépasse pas 30
     */
    public int getIncludingTextTestCount();

    public TextTest getExcludingTextTest(int i);

    public TextTest getIncludingTextTest(int i);

}
