/* UtilLib - Copyright (c) 2006-2011 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.mapeadores.util.conditions;


/**
 *Correspondance avec TextConstants
 *
 * @author Vincent Calame
 */
public interface ConditionConstants {

    public static final short COMMENCE_PAR = 11;
    public static final short FINIT_PAR = 12;
    public static final short CONTIENT = 13;
    public static final short CORRESPOND_A = 14;
    public static final short EST_VIDE = 15;
    public static final short NE_COMMENCE_PAS_PAR = 16;
    public static final short NE_FINIT_PAS_PAR = 17;
    public static final short NE_CONTIENT_PAS = 18;
    public static final short NE_CORRESPOND_PAS_A = 19;
    public static final short EST_NON_VIDE = 20;
    final public static short MODE_AND = 1;
    final public static short MODE_OR = 2;
    final static public short U = 0;
    final static public short N = 1;
    final static public short X = 2;
    final static public short A = 3;
    final static public short T = 4;
    final static public short P = 5;
    final static public short PA = 6;
    final static public short INDEPENDANT_COVER = 0;
    final static public short IMPOSSIBLE_COVER = 1;
    final static public short CONTAINS_COVER = 2;
    final static public short ISCONTAINED_COVER = 3;
}
