/* UtilLib - Copyright (c) 2008 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.mapeadores.util.html;


/**
 *
 * @author Vincent Calame
 */
public class CommandBoxParameters {

    private HTMLAttributes formAttributes = new HTMLAttributes();
    private HTMLAttributes fieldsetAttributes = new HTMLAttributes();
    private HTMLAttributes legendAttributes = new HTMLAttributes();
    private HTMLAttributes commandKeyDivAttributes = new HTMLAttributes();
    private SubmitParameters submitParameters = new SubmitParameters();

    public CommandBoxParameters() {
    }

    public HTMLAttributes getFieldsetAttributes() {
        return fieldsetAttributes;
    }

    public void setFieldsetAttributes(HTMLAttributes fieldsetAttributes) {
        if (fieldsetAttributes == null) {
            this.fieldsetAttributes = new HTMLAttributes();
        } else {
            this.fieldsetAttributes = fieldsetAttributes;
        }
    }

    public HTMLAttributes getLegendAttributes() {
        return legendAttributes;
    }

    public void setLegendAttributes(HTMLAttributes legendAttributes) {
        if (legendAttributes == null) {
            this.legendAttributes = new HTMLAttributes();
        } else {
            this.legendAttributes = legendAttributes;
        }
    }

    public HTMLAttributes getCommandKeyDivAttributes() {
        return commandKeyDivAttributes;
    }

    public void setCommandKeyDivAttributes(HTMLAttributes commandKeyDivAttributes) {
        if (commandKeyDivAttributes == null) {
            this.commandKeyDivAttributes = new HTMLAttributes();
        } else {
            this.commandKeyDivAttributes = commandKeyDivAttributes;
        }
    }

    public HTMLAttributes getFormAttributes() {
        return formAttributes;
    }

    public void setFormAttributes(HTMLAttributes formAttributes) {
        if (formAttributes == null) {
            this.formAttributes = new HTMLAttributes();
        } else {
            this.formAttributes = formAttributes;
        }
    }

    public SubmitParameters getSubmitParameters() {
        return submitParameters;
    }

    public void setSubmitParameters(SubmitParameters submitParameters) {
        if (submitParameters == null) {
            this.submitParameters = new SubmitParameters();
        } else {
            this.submitParameters = submitParameters;
        }
    }

}
