/* UtilLib - Copyright (c) 2006-2011 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.mapeadores.util.request;

import java.util.Set;


/**
 *
 * @author Vincent Calame
 */
public interface RequestMap {

    public FileValue getFileValue(String name);

    public FileValue[] getFileValues(String name);

    public String getParameter(String name);

    public String[] getParameterValues(String name);

    public Set<String> getParameterNameSet();

}
