/* UtilLib - Copyright (c) 2011 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.mapeadores.util.smtp;


/**
 *
 * @author Vincent Calame
 */
public interface SmtpParameters {

    public final static short AUTHENTIFICATION_NONE = 1;
    public final static short AUTHENTIFICATION_BASIC = 2;
    public final static short AUTHENTIFICATION_POP = 3;
    public final static short AUTHENTIFICATION_SSL = 4;

    public short getAuthentificationType();

    public String getHost();

    public int getPort();

    public String getUsername();

    public String getPassword();

    public String getPopHost();

    public String getPopUsername();

    public String getPopPassword();

}
