/* UtilLib - Copyright (c) 2007 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.mapeadores.util.text.insertpattern.api;


/**
 *
 * @author Vincent Calame
 */
public class CharacterErrorException extends RuntimeException {

    char carac;
    String key;
    int row;
    int col;

    public CharacterErrorException(char carac, String key, int row, int col) {
    }

    public int getCol() {
        return col;
    }

    public int getRow() {
        return row;
    }

    public char getCarac() {
        return carac;
    }

    public String getKey() {
        return key;
    }

}
