/* UtilLib - Copyright (c) 2007 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.mapeadores.util.text.insertpattern.api;


/**
 *
 * @author Vincent Calame
 */
public interface InsertionHandler {

    public void appendString(String s);

    /**
     *instructionArray doit contenir au moins un élément et ne contient pas de valeur nulle.
     */
    public void doInsertion(Instruction[] instructionArray);

    public void startIf(String clause, boolean unique);

    public void startElseIf(String clause);

    public void startElse();

    public void endIf(boolean unique, boolean onElse);

}
