/* UtilLib - Copyright (c) 2007-2010 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.mapeadores.util.text.insertpattern.impl;

import net.mapeadores.util.text.insertpattern.api.Argument;


/**
 *
 * @author Vincent Calame
 */
class ImplArgument implements Argument {

    private String key;
    private String value;
    private int keyRow;
    private int keyCol;
    private int valueRow;
    private int valueCol;

    ImplArgument(String key, int keyRow, int keyCol) {
        this.key = key;
        this.keyRow = keyRow;
        this.keyCol = keyCol;
    }

    void setValue(String value, int valueRow, int valueCol) {
        this.value = value;
        this.valueRow = valueRow;
        this.valueCol = valueCol;
    }

    public String getKey() {
        return key;
    }

    public String getValue() {
        return value;
    }

    public int getKeyRow() {
        return keyRow;
    }

    public int getKeyCol() {
        return keyCol;
    }

    public int getValueRow() {
        return valueRow;
    }

    public int getValueCol() {
        return valueCol;
    }

}
