/* UtilLib - Copyright (c) 2008 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.mapeadores.util.text.lexie;

import java.util.List;


/**
 * 
 *
 * @author Vincent Calame
 */
public interface TextLexieUnit extends LexieUnit {

    /**
     * Retourne la liste des occurences dans un ou plusieurs textes de la lexie.
     */
    public List<Occurence> getOccurenceList();

    /**
     * Retourne un identifiant de la lexie.
     */
    public String getLexieId();

}
