/* UtilLib - Copyright (c) 2006 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.mapeadores.util.text.terme;


/**
 *
 * @author  Vincent Calame
 */
public class IllegalCodeException extends Exception {

    public final static short MISSING_CODE = 1;
    public final static short DISABLED_CODE = 2;
    public final static short NOTCORRESPONDING_CODE = 3;
    private int code;
    private short type;

    public IllegalCodeException(short type, int code) {
        if ((type < 1) || (type > 3)) {
            throw new IllegalArgumentException("type argument has wrong value");
        }
        this.code = code;
        this.type = type;
    }

    public int getCode() {
        return code;
    }

    public short getIllegalCodeExceptionType() {
        return type;
    }

}
