/* UtilLib_Servlet - Copyright (c) 2008 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.mapeadores.util.servlets;

import net.mapeadores.util.logging.CommandMessage;


/**
 *
 * @author Vincent Calame
 */
public interface CommandTest {

    /**
     * Indique que la commande peut être effectuée (ou a été effectuée avec succès).
     */
    public boolean mayBeDone();

    /**
     * Doit retourner une instance de CommandMessage pour laquelle .isErrorMessage() est égal à true si mayBeDone() vaut false.
     */
    public CommandMessage getCommandMessage();

}
